﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Alpha.aspx.cs" Inherits="MS_OSPFM.Alpha" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <link href="Assets/StyleSheet/OSPFM.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .tooltips
        {    
            position:absolute; 
            width:80px; 
            height:20px; 
            font-size:10px; 
            font-family:Verdana; 
            padding:4px; 
            background-color:#ffffe7; 
            display:none; 
            border:solid 1px #000000; 
            z-index:999;
        }
        .style1
        {
            width: 100%;
        }
        #txtScaleLevel
        {
            width: 30px;
        }
        .style3
        {
            width: 15px;
        }
        .style4
        {
            width: 100px;
        }
    </style>
    <script type="text/javascript">
        var shapeOverlay = null;
        var currentFeature = null;
        var styleRed = null;
        var vScale;

        var OnMapCreating = function() {
            OpenLayers.Layer.VirtualEarth.prototype.MAX_ZOOM_LEVEL = 19;
        }
        
        var timer;
        var delayInterval = 1000;
        var clientX, clientY;
        var showToolTips = function(result, context) {
            if(result != '' && result != null){
                context.innerHTML = result;
                context.style.left = (clientX - 40) + 'px';
                context.style.top = (clientY - 20) + 'px';
                context.style.display = 'block';
            }
        };

        var beginToolTipsRequest = function() {
            var lonlat = this.map.getLonLatFromViewPortPx(this.xy);
            var args = lonlat.lon + ',' + lonlat.lat + ',' + vScale;
            var context = $get('divTooltips');
            WebForm_DoCallback('__Page', args, showToolTips, context, null, false);
        };        
        
        var getDelegate = function(sender, handler) {
            return function() {
                handler.apply(sender, arguments);
            }
        }


        function OnMapCreated(map) {
            // Display the toolbar of VE, but it can't work.
            var layer = map.getLayer("VirtualEarth Map");
            if (layer != null) {
                layer.mapObject.vemapcontrol.SetAnimationEnabled(false);
                //alert('test');
                var str = map.getZoom() + 1;
                document.getElementById('txtScaleLevel').value = str;
                vScale = str;
                //alert(document.getElementById('txtScaleLevel').value);
                //layer.mapObject.ShowDashboard();

                if (document.getElementById('txtVEMapType').value == 1) {
                    Map1.SetCurrentBackgroundMapType(VEMapStyle.Road);
                    //alert(document.getElementById('txtVEMapType').value);
                }
                else if (document.getElementById('txtVEMapType').value == 2) {
                    Map1.SetCurrentBackgroundMapType(VEMapStyle.Aerial);
                    //alert(document.getElementById('txtVEMapType').value);
                }
                else if (document.getElementById('txtVEMapType').value == 3) {
                    Map1.SetCurrentBackgroundMapType(VEMapStyle.Hybrid);
                    //alert(document.getElementById('txtVEMapType').value);
                }
                else if (document.getElementById('txtVEMapType').value == 4) {
                    Map1.SetCurrentBackgroundMapType(VEMapStyle.Birdseye);
                    //alert(document.getElementById('txtVEMapType').value);
                }

                shapeOverlay = new OpenLayers.Layer.Vector({ style: { fillColor: 'red'} });
                map.addLayer(shapeOverlay);

                styleRed = {
                    strokeColor: "red",
                    strokeWidth: 1,
                    strokeDashstyle: "solid",
                    pointRadius: 6,
                    fillColor: 'red'
                };
            }

            // Get Current Zoomlevel.
            map.events.register('zoomend', map, function(e) {
                var str = map.getZoom() + 1;
                //alert(str);
                document.getElementById('txtScaleLevel').value = str;
                vScale = str;
                //                         //alert(document.getElementById('txtScaleLevel').value);

            });
            
               map.events.register('mousemove', map, function(e){
                if(timer){
                    window.clearTimeout(timer);
                    timer = null;
                }
                $get('divTooltips').style.display = 'none';
                var beginToolTipsRequestDelegate = function(sender){
                    return function(){
                        beginToolTipsRequest.apply(sender, arguments);
                    }
                }
                clientX = e.clientX;
                clientY = e.clientY;
                timer = window.setTimeout(beginToolTipsRequestDelegate({xy:e.xy, map:this}), delayInterval);
            });
            
        }

        var linkOver = function(obj) {
            if (shapeOverlay != null) {
                currentFeature = new OpenLayers.Format.WKT().read(obj.wkt);
                currentFeature.style = styleRed;
                shapeOverlay.addFeatures([currentFeature]);
            }
        };
        var linkOut = function() {
            if (shapeOverlay && currentFeature) {
                shapeOverlay.destroyFeatures([currentFeature]);
            }
        };

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>                              
            
        <table class="style1" border="0">
<%--        <tr>
            <td colspan="2">
                <asp:Image ID="Image1" runat="server" 
                    ImageUrl="~/Assets/Images/ospfm_site_artwork.jpg" Height="50px" 
                    Width="200px" Visible="False" />
            </td>
        </tr>--%>
        <tr>
             <td>&nbsp;</td>
             <td> 
                <table border="0">
                    <tr>
                        <td align="left"> 
                            <table class="VEToolTableLayout">
                                <tr class="VEToolTableLayout" >
                                   <td class="VEToolTableLayout">
                                       <asp:TextBox ID="TxtAddress" Text="2400 Glenville Dr" 
                                           Width="210px" runat="server"  
                                           ToolTip="Search by address" CssClass="GeoCodeTextBox"></asp:TextBox></td>
                                   <td  class="VEToolTableLayout">
                                       <asp:DropDownList ID="ddlSearchType" runat="server" AutoPostBack="True" 
                                           onselectedindexchanged="ddlSearchType_SelectedIndexChanged" 
                                           ToolTip="Select search type from drop down list" CssClass="DDL">
                                           <asp:ListItem Selected="True">Address</asp:ListItem>
                                           <asp:ListItem>Longitude,Latitude</asp:ListItem>
                                           <asp:ListItem>Location</asp:ListItem>
                                           <asp:ListItem>Point of Interest</asp:ListItem>
                                       </asp:DropDownList>
                                   </td>
                                   <td class="VEToolTableLayout">
                                       <asp:Button ID="btnSearch" CssClass="Button" runat="server" Text="Search" 
                                           ToolTip="Click to search" onclick="btnSearch_Click"/> 
                                    </td>
                                </tr>
                              </table>
                        </td>    
                        <td width="165px">&nbsp;</td>                 
                        <td>
                            <table class="VEToolTableLayout">
                                <tr class="VEToolTableLayout">
                                  <td class="VEToolTableLayout"><asp:Button ID="btnRoad" CssClass="Button" 
                                          runat="server" Text="Road" 
                                          OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Road); return false;" 
                                          ToolTip="Click to see Road View" Visible="False" /></td>
                                  <td class="VEToolTableLayout"><asp:Button ID="btnSatellite" CssClass="Button" 
                                          runat="server" Text="Aerial" 
                                          OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Aerial); return false;" 
                                          ToolTip="Click to see Aerial View" Visible="false" /></td>
                                  <td class="VEToolTableLayout"><asp:Button ID="btnPhysical" CssClass="Button" 
                                          runat="server" Text="Hybrid" 
                                          OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Hybrid); return false;" 
                                          ToolTip="Click to see Hybrid View" Visible="False" /></td>
                                   <td class="VEToolTableLayout"><asp:Button ID="btnBirdEye" CssClass="Button" 
                                           runat="server" Text="BirdEye" 
                                           OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Birdseye); return false;" 
                                           ToolTip="Click to see BirdEye View" Visible="False" /></td>
                                  <td class="VEToolTableLayout">
                                      <asp:Button ID="Button1" CssClass="Button" 
                                          runat="server" Text="Road" 
                                          ToolTip="Click to see Road View" onclick="Button1_Click" /></td>
                                  <td class="VEToolTableLayout"><asp:Button ID="Button2" CssClass="Button" 
                                          runat="server" Text="Aerial" 
                                          ToolTip="Click to see Aerial View" onclick="Button2_Click" /></td>
                                  <td class="VEToolTableLayout"><asp:Button ID="Button3" CssClass="Button" 
                                          runat="server" Text="Hybrid" 
                                          ToolTip="Click to see Hybrid View" onclick="Button3_Click" /></td>
                                   <td class="VEToolTableLayout"><asp:Button ID="Button4" CssClass="Button" 
                                           runat="server" Text="BirdEye" Visible="false"
                                           OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Birdseye); return false;" 
                                           ToolTip="Click to see BirdEye View" 
                                           /></td>
                                </tr>
                              </table>
                        </td>
                        <td>
                            <table class="VEToolTableLayout">
                                <tr class="VEToolTableLayout" >
                                    <td class="VEToolTableLayout" ><input id="txtVEMapType" runat="server" type="hidden" class="ZoomScale" 
                                            title="Current Zoom Level" /></td>
                                    <td class="VEToolTableLayout" ><input id="txtScaleLevel" runat="server" type="text" class="ZoomScale" 
                                            title="Current Zoom Level" /></td>
                                    <td class="VEToolTableLayout" ><input type="image" value="Draw Rectangle" 
                                            onclick="Map1.SetDrawMode('Rectangle');return false;" 
                                            src="Assets/Images/rectangle28.png"  
                                            title="Draw an area on map to get feature selection" 
                                            style="height: 14px; width: 23px" /></td>
                                    <td class="VEToolTableLayout" ><asp:Button ID="btnAttribSearch" CssClass="Button" 
                                            runat="server" Text="Atrb. Srch." ToolTip="Click for Attribute Search" /></td>
                                    <td class="VEToolTableLayout" ><asp:Button ID="btnHelp" CssClass="Button" 
                                            runat="server" Text="Help" ToolTip="Click for Help" /></td>
                                </tr>
                              </table>
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
        <tr>
            <td valign="top" width="25%">
                <ajaxToolkit:TabContainer ID="Tabs" runat="server" ActiveTabIndex="0" 
                        Width="306px" Height="687px" AutoPostBack="false" 
                        onactivetabchanged="Tabs_ActiveTabChanged">
                    <ajaxToolkit:TabPanel runat="server" ID="Panel1" HeaderText="Legend/Layer">
                        <ContentTemplate>
                            <asp:Panel ID="pLegend" runat="server" Height="687px" CssClass="Legend"  
                                BorderStyle="Solid" BorderWidth="1px" BorderColor="#2348A9">
                                <table border="0" width="100%">
                                     <tr>
                                        <td colspan="2" class="GrpLyrHeader">Fiber Security</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                     </tr>
                                     <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblLD" runat="server" Text="LD"></asp:Label></td>
                                        <td><asp:Image ID="imgLD" runat="server" ImageUrl="Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblLDFiber1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblLDFiber2" runat="server" Text="    " /></td>
                                     </tr>
                                     <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblGNS" runat="server" Text="GNS" ></asp:Label></td>
                                        <td><asp:Image ID="imgGNS" runat="server" ImageUrl="Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblGNSFiber1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblGNSFiber2" runat="server" Text="    " /></td>
                                     </tr>
                                     <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblLocal" runat="server" Text="Local" ></asp:Label></td>
                                        <td><asp:Image ID="imgLocal" runat="server" ImageUrl="Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblLocal1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblLocal2" runat="server" Text="    " /></td>
                                     </tr>


                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Transmedia</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblBurried" runat="server" Text="Burried"></asp:Label></td>
                                        <td><asp:Image ID="imgBurried" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblBurried1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblBurried2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblAerial" runat="server" Text="Aerial"></asp:Label></td>
                                        <td><asp:Image ID="imgAerial" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblAerial1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblAerial2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblCopper" runat="server" Text="Copper"></asp:Label></td>
                                        <td><asp:Image ID="imgCopper" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblCopper1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblCopper2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblLeased" runat="server" Text="Leased"></asp:Label></td>
                                        <td><asp:Image ID="imgLeased" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblLeased1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblLeased2" runat="server" Text="    " /></td>
                                    </tr>


                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Attachment</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblAerialSlack" runat="server" Text="Aerial"></asp:Label></td>
                                        <td><asp:Image ID="imgAerialSlack" runat="server" 
                                                ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblAerialSlack1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblAerialSlack2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblUndergroundSlack" runat="server" Text="Underground"></asp:Label></td>
                                        <td><asp:Image ID="imgUnderground" runat="server" 
                                                ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblUndergroundSlack1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblUndergroundSlack2" runat="server" Text="    " /></td>
                                    </tr>

                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Structures</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblSite" runat="server" Text="Site"></asp:Label></td>
                                        <td><asp:Image ID="imgSite" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblSite1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblSite2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblBuilding" runat="server" Text="Building"></asp:Label></td>
                                        <td><asp:Image ID="imgBuilding" runat="server" 
                                                ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblBuilding1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblBuilding2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblPole" runat="server" Text="Pole"></asp:Label></td>
                                        <td><asp:Image ID="imgPole" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblPole1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblPole2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblTower" runat="server" Text="Tower"></asp:Label></td>
                                        <td><asp:Image ID="imgTower" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblTower1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblTower2" runat="server" Text="    " /></td>
                                    </tr>
                                    
                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Access Points</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblAP" runat="server" Text="Access Points"></asp:Label></td>                                                           <td>
                                        <asp:Image ID="imgAccessPoints" runat="server" 
                                            ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblAccessPoints1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblAccessPoints2" runat="server" Text="    " /></td>
                                    </tr>

                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Span</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblSpan" runat="server" Text="Span"></asp:Label></td>                                                                    <td>
                                        <asp:Image ID="imgSpan" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblSpan1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblSpan2" runat="server" Text="    " /></td>
                                    </tr>

                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Equipment</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblTP" runat="server" Text="Terminational Panel"></asp:Label></td>                                                     <td><asp:Image ID="imgTerminationPanel" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblTerminationPanel1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblTerminationPanel2" runat="server" Text="    " /></td>
                                    </tr>

                                    <tr>
                                        <td colspan="2" class="GrpLyrHeader">Splice Closure</td>
                                        <td></td>
                                        <td class="GrpLyrHeader">Layer&nbsp;&nbsp;&nbsp;Label</td>
                                    </tr>
                                    <tr>
                                        <td class="style3"></td>
                                        <td class="style4"><asp:Label ID="lblSC" runat="server" Text="SpliceClosure"></asp:Label></td>                                                           <td><asp:Image ID="imgSpliceClosure" runat="server" ImageUrl="~/Assets/Images/Line.PNG" /></td>
                                        <td><asp:CheckBox ID="cblSpliceClosure1" runat="server" Text="    " />&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cblSpliceClosure2" runat="server" Text="    " /></td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    
                                     <tr>
                                         <td align="center" colspan="5">
                                             <asp:Button ID="btnRefresh" runat="server" CssClass="ButtonRefreshMap" 
                                                 OnClick="btnRefresh_Click" Text="Refresh Map" />
                                         </td>
                                     </tr>
                                    
                                </table>

                            </asp:Panel>               
                          </ContentTemplate>
                    </ajaxToolkit:TabPanel>
        
                    <ajaxToolkit:TabPanel runat="server" ID="Panel2" HeaderText="Feature Selection">
                         <HeaderTemplate>
                             Feature Selection
                         </HeaderTemplate>
                        <ContentTemplate>
                            <%--<div>Selected features will be displayed  here:</div>--%>
                               <asp:Panel runat="server" ID="panel">
                               </asp:Panel>
                                <asp:TreeView ID="TreeView1" runat="server" ShowLines="True"  
                                    EnableTheming="True" 
                                    onselectednodechanged="TreeView1_SelectedNodeChanged" 
                                CssClass="TreeView">
                                </asp:TreeView>    
                            <br />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    
                    <ajaxToolkit:TabPanel runat="server" ID="TabPanel1" HeaderText="Search">
                         <HeaderTemplate>
                             Search Results
                         </HeaderTemplate>
                        <ContentTemplate>
                           <asp:Panel ID="ResultPanel" runat="server" BorderWidth="0px" Visible="False">
                            <table>
                                 <tr>
                                    <td colspan="2">
                                        <asp:Label ID="lblMessage" CssClass="ErrorLabel" runat="server" Text="Label" Visible="False"></asp:Label>
                                    </td>    
                                </tr>
                                 <tr>
                                    <td width="100%">
                                        <asp:ListBox ID="listboxFindResults" runat="server" CssClass="ListBox" Width="100%" AutoPostBack="True" OnSelectedIndexChanged="listboxFindResults_SelectedIndexChanged"></asp:ListBox>
                                    </td>
                                    <td valign="top">
                                        <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="close.gif" 
                                            onclick="ImageButton1_Click" Visible="False" />
                                    </td>
                                   </tr>
                      </table>
                </asp:Panel>                          
                           <br />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
<%--                </ContentTemplate>
                </asp:UpdatePanel>
--%>            </td>
            <td width="75%">
<%--                <asp:UpdatePanel ID="upMap" runat="server">
                <ContentTemplate>
--%>                     <cc1:Map ID="Map1" runat="server" Width="100%" Height="725px" 
                         ontrackshapefinished="Map1_TrackShapeFinished"></cc1:Map>    
<%--                </ContentTemplate>
                </asp:UpdatePanel>
--%>            </td>
        </tr>
        <tr>
            <td class="MapBottom" colspan="2">
                <asp:HyperLink ID="HLmsdn" runat="server" 
                    NavigateUrl="http://msdn.microsoft.com/en-us/default.aspx" Target="_blank">MSDN</asp:HyperLink>
                    &nbsp;&nbsp;
                 <a href="mailto:support@verizonbusiness.com?subject=OSPFM Online &body=Your feedback appreciated!">Feedbackk</a>   
                 &nbsp;&nbsp;
            </td>
        </tr>
    </table>
    
        </ContentTemplate>
        </asp:UpdatePanel>

    </div>
    <div id="divTooltips" class="tooltips">
    </div>
    </form>
</body>
</html>
