﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Xml;
using System.Data;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;
using System.Reflection;
using OSPFM.Online.Framework;
using System.Collections.ObjectModel;
using System.Web.UI.HtmlControls;
using System.Globalization;
using System.Web.Services.Protocols;

namespace MS_OSPFM
{
    public partial class Alpha : System.Web.UI.Page, ICallbackEventHandler
    {
        
        #region Geo code object & variable defination
        private string myUserName = "141782";
        private string myPassword = "2400Verizon.";
        private MapPointService.ViewByHeightWidth[] views = null;
        private MapPointService.FindResults foundAddressResults;
        #endregion

        #region For ToolTip display and get value from java script
        int iCurrentZoomLevel;
        #endregion

        #region Highlight feature variable declaration
        TreeNode root = new TreeNode();
        TreeNode GrpLyr;
        TreeNode ChildLyr;
        //MyTreeNode1.CustomTreeNode ctn;
        CustomTreeNode ctn;

        TreeNode ChildLyrElements;
        string sNodeGroupLayerName = string.Empty;

        int iScaleStart = 0;
        int iScaleEnd = 0;
        int iCurrentScale = 0;
        int iPreventLoadDataCtr = 0;
        #endregion

        #region Generating dymnic layers from XML config, object & variable declaration
        private static DataSet dsAppConfig = null;
        const string nameSpaceForCore = "ThinkGeo.MapSuite.Core";
        Assembly web = typeof(Map).Assembly;
        Assembly core = typeof(ShapeFileFeatureLayer).Assembly;

        const float fDrawingMarginPercentage = 50;
        const string sDataFolder = "~/Data/";
        const string sGeoColorSimpleColors = "GeoColor.StandardColors.";
        const string sLevel = "Level";

        string sShapeFilePath = string.Empty;
        string sColor = string.Empty;
        string sTypeSize = string.Empty;
        int iZoomLevelStart = 0;
        string sZoomlevelEnd = string.Empty;

        int iZoomLevelStart_lbl = 0;
        string sZoomlevelEnd_lbl = string.Empty;

        float flineSize;
        float fpointSize;
        string sDisplayColName = string.Empty;

        const string sPointSymbolType = "PointSymbolType.";
        string strPointSymbolType = string.Empty;

        LayerOverlay layerOverLay;

        LineStyle linestyle;
        GeoColor color;
        TextStyle textStyle;
        ApplyUntilZoomLevel applyUntilZoomlevel;
        PointStyle pointStyle;

        PointSymbolType pointSymbolType;
        ZoomLevelSet zoomLevelSet;
        ZoomLevel startZoomLevel;

        ZoomLevelSet zoomLevelSet_lbl;
        ZoomLevel startZoomLevel_lbl;
        ApplyUntilZoomLevel applyUntilZoomlevel_lbl;

        //ShapeLayers sl = new ShapeLayers();
        ShapeLayers sl = new ShapeLayers();
        #endregion

        #region Legend tab, data variable & others
        LayersScale lsVisibility; //Do not initialize this structure varibles, as it did on global.asax
        #endregion


        private string callbackResult = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            { 
                //string callbackString = ClientScript.GetCallbackEventReference(this, "args", "showToolTips", "context");
                //string script = "var beginToolTipsRequest = function() { var lonlat = this.map.getLonLatFromViewPortPx(this.xy); var args = lonlat.lon + ',' + lonlat.lat + ',' + vScale; var context = $get('divTooltips');" 
                //    + callbackString
                //    + "}";
                //ClientScript.RegisterClientScriptBlock(GetType(), "BeginCallback", script, true);


                if (Session.IsNewSession == true)
                {
                    dsAppConfig = (DataSet)Session["dsAppConfig"];
                    string s = Session["SessionId"].ToString();
                }

                Tabs.ActiveTabIndex = 0;

                //Set Map properties and values   
                #region Set Map Properties and values
                string sUnit = "Meter";
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapTools.PanZoom.Enabled = false;
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapUnit = (GeographyUnit)Enum.Parse(typeof(GeographyUnit), sUnit);

                layerOverLay = new LayerOverlay("OSPFM Layers");
                layerOverLay.IsBaseOverlay = false;
                layerOverLay.ClientCache.CacheId = "OSPFM_Layers";
                layerOverLay.TransitionEffect = TransitionEffect.None;
                layerOverLay.TileType = TileType.SingleTile;
                layerOverLay.Layers.Clear();

                //# end of Map properties
                #endregion

                //Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                //Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                //Map1.MapUnit = GeographyUnit.Meter;

                ////Create 3 shapelayers (2 point and 1 line layer)
                //ShapeFileFeatureLayer lyr_points_Access_Point = new ShapeFileFeatureLayer(MapPath("~/Data/Access_Points.shp"));
                //lyr_points_Access_Point.ZoomLevelSet.ZoomLevel18.DefaultPointStyle = PointStyles.CreateSimplePointStyle(PointSymbolType.Circle, GeoColor.SimpleColors.Blue, 12f);
                //lyr_points_Access_Point.ZoomLevelSet.ZoomLevel18.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //lyr_points_Access_Point.DrawingMarginPercentage = 50;
                //lyr_points_Access_Point.IsVisible = true;

                ////*******************  This is label layer mapping to same shape file as Access point
                //ShapeFileFeatureLayer lbl_Access_Point = new ShapeFileFeatureLayer(MapPath("~/Data/Access_Points.shp"));
                //lbl_Access_Point.ZoomLevelSet.ZoomLevel19.DefaultPointStyle = PointStyles.CreateSimplePointStyle(PointSymbolType.Circle, GeoColor.SimpleColors.Blue, 12f);
                //lbl_Access_Point.ZoomLevelSet.ZoomLevel19.DefaultTextStyle = TextStyles.City1("Type_Name");
                //lbl_Access_Point.ZoomLevelSet.ZoomLevel19.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //lbl_Access_Point.DrawingMarginPercentage = 50;
                //lbl_Access_Point.IsVisible = true;

                //ShapeFileFeatureLayer lyr_lines_FS_LD = new ShapeFileFeatureLayer(Server.MapPath("~/Data/FS_LD.shp"));
                //lyr_lines_FS_LD.ZoomLevelSet.ZoomLevel05.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Blue, 1.5f, true);
                //lyr_lines_FS_LD.ZoomLevelSet.ZoomLevel05.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //lyr_lines_FS_LD.DrawingMarginPercentage = 50;
                //lyr_lines_FS_LD.IsVisible = true;

                ////Set projection for all 3 layers (2 point and 1 line layer)
                //Proj4Projection proj4_points_Access_Points_lbl = new Proj4Projection();
                //proj4_points_Access_Points_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                //proj4_points_Access_Points_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                //lbl_Access_Point.FeatureSource.Projection = proj4_points_Access_Points_lbl;

                //Proj4Projection proj4_points_Access_Points = new Proj4Projection();
                //proj4_points_Access_Points.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                //proj4_points_Access_Points.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                //lyr_points_Access_Point.FeatureSource.Projection = proj4_points_Access_Points;

                //Proj4Projection proj4_lines_FS_LD = new Proj4Projection();
                //proj4_lines_FS_LD.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                //proj4_lines_FS_LD.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                //lyr_lines_FS_LD.FeatureSource.Projection = proj4_lines_FS_LD;

                //Prepare and load data for line and point layers
                dsAppConfig.Tables[1].DefaultView.RowFilter = "";

                // ===========  Load All lines/point type .shp layers based on group and set properites here ===============
                #region All group layers (8 Layers)

                #region 1. Fiber Security
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 1"; //Fiber Security
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region FS_LD Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 1"; //FS_LD

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer FS_LD
                                sl.lyr_line_FS_LD = GetShapeFileFeatureLayer(sShapeFilePath);
                                color = GetGeoColor(sColor);

                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_FS_LD.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_FS_LD.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_FS_LD = new Proj4Projection();
                                proj4_lines_FS_LD.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_FS_LD.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_FS_LD.FeatureSource.Projection = proj4_lines_FS_LD;
                                layerOverLay.Layers.Add("Lyr_FS_LD", sl.lyr_line_FS_LD);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_FS_LD.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_FS_LD.IsVisible = false;
                                }

                                //------------Layer FS_LD Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    //currently in xml this layer  has no lable Parameters

                                    //Write label code here (similar to others layers that has lable para..) when parameters added to xml config file
                                }
                            }

                        }
                        #endregion ##  End of FS_LD Line Point  ##
                        #region FS_GNS Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 2"; //FS_GNS

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer FS_GNS
                                sl.lyr_line_FS_GNS = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_FS_GNS.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_FS_GNS.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_FS_GNS = new Proj4Projection();
                                proj4_lines_FS_GNS.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_FS_GNS.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_FS_GNS.FeatureSource.Projection = proj4_lines_FS_GNS;
                                layerOverLay.Layers.Add("Lyr_FS_GNS", sl.lyr_line_FS_GNS);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_FS_GNS.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_FS_GNS.IsVisible = false;
                                }

                                //------------Layer FS_GNS Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    //currently in xml this layer  has no lable Parameters

                                    //Write label code here (similar to others layers that has lable para..) when parameters added to xml config file
                                }
                            }

                        }
                        #endregion ##  End of FS_GNS Line Point  ##
                        #region FS_Local Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 3"; //FS_Local

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer FS_Local 
                                sl.lyr_line_FS_Local = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_FS_Local.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_FS_Local.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_FS_Local = new Proj4Projection();
                                proj4_lines_FS_Local.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_FS_Local.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_FS_Local.FeatureSource.Projection = proj4_lines_FS_Local;
                                layerOverLay.Layers.Add("Lyr_FS_Local", sl.lyr_line_FS_Local);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_FS_Local.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_FS_Local.IsVisible = false;
                                }

                                //------------Layer FS_Local Cable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    //currently in xml this layer  has no lable Parameters

                                    //Write label code here (similar to others layers that has lable para..) when parameters added to xml config file
                                }
                            }
                        }
                        #endregion ##  End of FS_Local Line Point  ##
                    }
                }
                #endregion

                #region 6. Span
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 6"; //Span
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Span Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 6 and lid = 1"; //Span

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);

                                //Following code is not applicable as Span requires to present in double lines with light gray color
                                // so LineStyles.Canal1 gives grey color with black out line on top and below.
                                //linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //linestyle = LineStyles.Canal1;
                                //linestyle = LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Blue, 2, GeoColor.StandardColors.Gray, 10, GeoColor.StandardColors.Gray, 10, true);

                                linestyle = LineStyles.CreateSimpleLineStyle(color, 2, color, 10, color, 10, true);

                                //------------Layer Span
                                sl.lyr_line_Span = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Span.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Span.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Span = new Proj4Projection();
                                proj4_lines_Span.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Span.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Span.FeatureSource.Projection = proj4_lines_Span;
                                layerOverLay.Layers.Add("Lyr_Span", sl.lyr_line_Span);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Span.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Span.IsVisible = false;
                                }

                                //------------Layer Span Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Span_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    //Following code is not applicable as Span requires to present in double lines with light gray color
                                    // so LineStyles.Canal1 gives grey color with black out line on top and below.

                                    //textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    textStyle = TextStyles.Canal1("LABEL");
                                    //GeoFont gf = new GeoFont("Aerial", 11); ;
                                    //textStyle.Font = gf;

                                    //textStyle.Font = 

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Span_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Span_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;


                                    Proj4Projection proj4_lines_Span_lbl = new Proj4Projection();
                                    proj4_lines_Span_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Span_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Span_lbl.FeatureSource.Projection = proj4_lines_Span_lbl;

                                    layerOverLay.Layers.Add("Lbl_Span", sl.lyr_line_Span_lbl);
                                    sl.lyr_line_Span_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Span_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Span Line Point  ##
                    }
                }

                #endregion

                #region 2. Trans Media
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 2"; //Trans Media
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Buried_Cable Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 1"; //Buried_Cable

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer Burried_Cable
                                sl.lyr_line_Buried_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Buried_Cable.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Buried_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Buried_Cable = new Proj4Projection();
                                proj4_lines_Buried_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Buried_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Buried_Cable.FeatureSource.Projection = proj4_lines_Buried_Cable;
                                layerOverLay.Layers.Add("Lyr_Buried_Cable", sl.lyr_line_Buried_Cable);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Buried_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Buried_Cable.IsVisible = false;
                                }

                                //------------Layer Burried_Cable Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Buried_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Buried_Cable_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Buried_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lines_Buried_Cable_lbl = new Proj4Projection();
                                    proj4_lines_Buried_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Buried_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Buried_Cable_lbl.FeatureSource.Projection = proj4_lines_Buried_Cable_lbl;

                                    layerOverLay.Layers.Add("Lbl_Buried_Cable", sl.lyr_line_Buried_Cable_lbl);
                                    sl.lyr_line_Buried_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Buried_Cable_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Buried_Cable Line Point  ##
                        #region Aerial_Fiber Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 2"; //Aerial_Fiber

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer Aerial_Fiber
                                sl.lyr_line_Aerial_Fiber = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Aerial_Fiber.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Aerial_Fiber.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Aerial_Fiber = new Proj4Projection();
                                proj4_lines_Aerial_Fiber.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Aerial_Fiber.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Aerial_Fiber.FeatureSource.Projection = proj4_lines_Aerial_Fiber;
                                layerOverLay.Layers.Add("Lyr_Aerial_Fiber", sl.lyr_line_Aerial_Fiber);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Aerial_Fiber.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Aerial_Fiber.IsVisible = false;
                                }

                                //------------Layer Aerial_Fiber Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Aerial_Fiber_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Aerial_Fiber_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Aerial_Fiber_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lines_Aerial_Fiber_lbl = new Proj4Projection();
                                    proj4_lines_Aerial_Fiber_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Aerial_Fiber_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Aerial_Fiber_lbl.FeatureSource.Projection = proj4_lines_Aerial_Fiber_lbl;

                                    layerOverLay.Layers.Add("Lbl_Aerial_Fiber", sl.lyr_line_Aerial_Fiber_lbl);
                                    sl.lyr_line_Aerial_Fiber_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Aerial_Fiber_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Aerial_Fiber Line Point  ##
                        #region Copper_Cable Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 3"; //Copper_Cable

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer Copper_Cable
                                sl.lyr_line_Copper_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Copper_Cable.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Copper_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Copper_Cable = new Proj4Projection();
                                proj4_lines_Copper_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Copper_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Copper_Cable.FeatureSource.Projection = proj4_lines_Copper_Cable;
                                layerOverLay.Layers.Add("Lyr_Copper_Cable", sl.lyr_line_Copper_Cable);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Copper_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Copper_Cable.IsVisible = false;
                                }

                                //------------Layer Copper_Cable Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Copper_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Copper_Cable_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Copper_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lines_Copper_Cable_lbl = new Proj4Projection();
                                    proj4_lines_Copper_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Copper_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Copper_Cable_lbl.FeatureSource.Projection = proj4_lines_Copper_Cable_lbl;

                                    layerOverLay.Layers.Add("Lbl_Copper_Cable", sl.lyr_line_Copper_Cable_lbl);
                                    sl.lyr_line_Copper_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Copper_Cable_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Copper_Cable Line Point  ##
                        #region Leased_Cable Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 4"; //Leased_Cable

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer Leased_Cable
                                sl.lyr_line_Leased_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Leased_Cable.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Leased_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Leased_Cable = new Proj4Projection();
                                proj4_lines_Leased_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Leased_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Leased_Cable.FeatureSource.Projection = proj4_lines_Leased_Cable;
                                layerOverLay.Layers.Add("Lyr_Leased_Cable", sl.lyr_line_Leased_Cable);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Leased_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Leased_Cable.IsVisible = false;
                                }

                                //------------Layer Leased_Cable Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Leased_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Leased_Cable_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Leased_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lines_Leased_Cable_lbl = new Proj4Projection();
                                    proj4_lines_Leased_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Leased_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Leased_Cable_lbl.FeatureSource.Projection = proj4_lines_Leased_Cable_lbl;

                                    layerOverLay.Layers.Add("Lbl_Leased_Cable", sl.lyr_line_Leased_Cable_lbl);
                                    sl.lyr_line_Leased_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Leased_Cable_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Leased_Cable Line Point  ##

                        //Following 4 layers are grouped under Burried Cable wiht new XML layout 
                        #region DBuried_Cable Line feature layer declaration
                        ////initialize variables
                        //dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and lid = 6"; //DBuried_Cable

                        //if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        //{
                        //    if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        //    {
                        //        sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                        //        sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                        //        flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                        //        sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                        //        iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                        //        sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                        //        color = GetGeoColor(sColor);
                        //        linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                        //        //------------Layer DBuried_Cable
                        //        sl.lyr_line_DBuried_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                        //        applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                        //        zoomLevelSet = sl.lyr_line_DBuried_Cable.ZoomLevelSet;
                        //        startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                        //        startZoomLevel.DefaultLineStyle = linestyle;
                        //        startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                        //        sl.lyr_line_DBuried_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //        Proj4Projection proj4_lines_DBuried_Cable = new Proj4Projection();
                        //        proj4_lines_DBuried_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //        proj4_lines_DBuried_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                        //        sl.lyr_line_DBuried_Cable.FeatureSource.Projection = proj4_lines_DBuried_Cable;
                        //        layerOverLay.Layers.Add("Lyr_DBuried_Cable", sl.lyr_line_DBuried_Cable);

                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                        //        {
                        //            //Set default setting
                        //            sl.lyr_line_DBuried_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                        //        }
                        //        else
                        //        {
                        //            sl.lyr_line_DBuried_Cable.IsVisible = false;
                        //        }

                        //        //------------Layer DBuried_Cable Lable
                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                        //        {
                        //            sl.lyr_line_DBuried_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                        //            iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                        //            sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                        //            // Create text style by column name. 
                        //            textStyle = TextStyles.Pipeline1(sDisplayColName);

                        //            applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                        //            zoomLevelSet_lbl = sl.lyr_line_DBuried_Cable_lbl.ZoomLevelSet;
                        //            startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                        //            startZoomLevel_lbl.DefaultLineStyle = linestyle;
                        //            startZoomLevel_lbl.DefaultTextStyle = textStyle;
                        //            startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                        //            sl.lyr_line_DBuried_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //            Proj4Projection proj4_lines_DBuried_Cable_lbl = new Proj4Projection();
                        //            proj4_lines_DBuried_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //            proj4_lines_DBuried_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                        //            sl.lyr_line_DBuried_Cable_lbl.FeatureSource.Projection = proj4_lines_DBuried_Cable_lbl;

                        //            layerOverLay.Layers.Add("Lbl_DBuried_Cable", sl.lyr_line_DBuried_Cable_lbl);
                        //            sl.lyr_line_DBuried_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                        //            //Over write label visibility if, parent layer initflag is false
                        //            if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                        //            {
                        //                sl.lyr_line_DBuried_Cable_lbl.IsVisible = false;
                        //            }
                        //        }
                        //    }
                        //}
                        #endregion ##  End of DBuried_Cable Line Point  ##
                        #region Building_Cable Line feature layer declaration
                        ////initialize variables
                        //dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and lid = 7"; //Building_Cable

                        //if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        //{
                        //    if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        //    {
                        //        sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                        //        sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                        //        flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                        //        sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                        //        iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                        //        sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                        //        color = GetGeoColor(sColor);
                        //        linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                        //        //------------Layer Building_Cable
                        //        sl.lyr_line_Building_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                        //        applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                        //        zoomLevelSet = sl.lyr_line_Building_Cable.ZoomLevelSet;
                        //        startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                        //        startZoomLevel.DefaultLineStyle = linestyle;
                        //        startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                        //        sl.lyr_line_Building_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //        Proj4Projection proj4_lines_Building_Cable = new Proj4Projection();
                        //        proj4_lines_Building_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //        proj4_lines_Building_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                        //        sl.lyr_line_Building_Cable.FeatureSource.Projection = proj4_lines_Building_Cable;
                        //        layerOverLay.Layers.Add("Lyr_Building_Cable", sl.lyr_line_Building_Cable);

                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                        //        {
                        //            //Set default setting
                        //            sl.lyr_line_Building_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                        //        }
                        //        else
                        //        {
                        //            sl.lyr_line_Building_Cable.IsVisible = false;
                        //        }

                        //        //------------Layer Building_Cable Lable
                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                        //        {
                        //            sl.lyr_line_Building_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                        //            iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                        //            sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                        //            // Create text style by column name. 
                        //            textStyle = TextStyles.Pipeline1(sDisplayColName);

                        //            applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                        //            zoomLevelSet_lbl = sl.lyr_line_Building_Cable_lbl.ZoomLevelSet;
                        //            startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                        //            startZoomLevel_lbl.DefaultLineStyle = linestyle;
                        //            startZoomLevel_lbl.DefaultTextStyle = textStyle;
                        //            startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                        //            sl.lyr_line_Building_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //            Proj4Projection proj4_lines_Building_Cable_lbl = new Proj4Projection();
                        //            proj4_lines_Building_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //            proj4_lines_Building_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                        //            sl.lyr_line_Building_Cable_lbl.FeatureSource.Projection = proj4_lines_Building_Cable_lbl;

                        //            layerOverLay.Layers.Add("Lbl_Building_Cable", sl.lyr_line_Building_Cable_lbl);
                        //            sl.lyr_line_Building_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                        //            //Over write label visibility if, parent layer initflag is false
                        //            if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                        //            {
                        //                sl.lyr_line_Building_Cable_lbl.IsVisible = false;
                        //            }
                        //        }
                        //    }
                        //}
                        #endregion ##  End of Building_Cable Line Point  ##
                        #region Fogwire_Cable Line feature layer declaration
                        ////initialize variables
                        //dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and lid = 8"; //Fogwire_Cable

                        //if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        //{
                        //    if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        //    {
                        //        sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                        //        sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                        //        flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                        //        sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                        //        iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                        //        sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                        //        color = GetGeoColor(sColor);
                        //        linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                        //        //------------Layer Fogwire_Cable
                        //        sl.lyr_line_Fogwire_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                        //        applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                        //        zoomLevelSet = sl.lyr_line_Fogwire_Cable.ZoomLevelSet;
                        //        startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                        //        startZoomLevel.DefaultLineStyle = linestyle;
                        //        startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                        //        sl.lyr_line_Fogwire_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //        Proj4Projection proj4_lines_Fogwire_Cable = new Proj4Projection();
                        //        proj4_lines_Fogwire_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //        proj4_lines_Fogwire_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                        //        sl.lyr_line_Fogwire_Cable.FeatureSource.Projection = proj4_lines_Fogwire_Cable;
                        //        layerOverLay.Layers.Add("Lyr_Fogwire_Cable", sl.lyr_line_Fogwire_Cable);

                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                        //        {
                        //            //Set default setting
                        //            sl.lyr_line_Fogwire_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                        //        }
                        //        else
                        //        {
                        //            sl.lyr_line_Fogwire_Cable.IsVisible = false;
                        //        }

                        //        //------------Layer Fogwire_Cable Lable
                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                        //        {
                        //            sl.lyr_line_Fogwire_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                        //            iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                        //            sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                        //            // Create text style by column name. 
                        //            textStyle = TextStyles.Pipeline1(sDisplayColName);

                        //            applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                        //            zoomLevelSet_lbl = sl.lyr_line_Fogwire_Cable_lbl.ZoomLevelSet;
                        //            startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                        //            startZoomLevel_lbl.DefaultLineStyle = linestyle;
                        //            startZoomLevel_lbl.DefaultTextStyle = textStyle;
                        //            startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                        //            sl.lyr_line_Fogwire_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //            Proj4Projection proj4_lines_Fogwire_Cable_lbl = new Proj4Projection();
                        //            proj4_lines_Fogwire_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //            proj4_lines_Fogwire_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                        //            sl.lyr_line_Fogwire_Cable_lbl.FeatureSource.Projection = proj4_lines_Fogwire_Cable_lbl;

                        //            layerOverLay.Layers.Add("Lbl_Fogwire_Cable", sl.lyr_line_Fogwire_Cable_lbl);
                        //            sl.lyr_line_Fogwire_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                        //            //Over write label visibility if, parent layer initflag is false
                        //            if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                        //            {
                        //                sl.lyr_line_Fogwire_Cable_lbl.IsVisible = false;
                        //            }
                        //        }
                        //    }
                        //}
                        #endregion ##  End of Fogwire_Cable Line Point  ##
                        #region Submarine_Cable Line feature layer declaration
                        ////initialize variables
                        //dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and lid = 10"; //Submarine_Cable

                        //if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        //{
                        //    if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        //    {
                        //        sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                        //        sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                        //        flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                        //        sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                        //        iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                        //        sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                        //        color = GetGeoColor(sColor);
                        //        linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                        //        //------------Layer Submarine_Cable
                        //        sl.lyr_line_Submarine_Cable = GetShapeFileFeatureLayer(sShapeFilePath);

                        //        applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                        //        zoomLevelSet = sl.lyr_line_Submarine_Cable.ZoomLevelSet;
                        //        startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                        //        startZoomLevel.DefaultLineStyle = linestyle;
                        //        startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                        //        sl.lyr_line_Submarine_Cable.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //        Proj4Projection proj4_lines_Submarine_Cable = new Proj4Projection();
                        //        proj4_lines_Submarine_Cable.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //        proj4_lines_Submarine_Cable.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                        //        sl.lyr_line_Submarine_Cable.FeatureSource.Projection = proj4_lines_Submarine_Cable;
                        //        layerOverLay.Layers.Add("Lyr_Submarine_Cable", sl.lyr_line_Submarine_Cable);

                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                        //        {
                        //            //Set default setting
                        //            sl.lyr_line_Submarine_Cable.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                        //        }
                        //        else
                        //        {
                        //            sl.lyr_line_Submarine_Cable.IsVisible = false;
                        //        }

                        //        //------------Layer Submarine_Cable Lable
                        //        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                        //        {
                        //            sl.lyr_line_Submarine_Cable_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                        //            iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                        //            sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                        //            // Create text style by column name. 
                        //            textStyle = TextStyles.Pipeline1(sDisplayColName);

                        //            applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                        //            zoomLevelSet_lbl = sl.lyr_line_Submarine_Cable_lbl.ZoomLevelSet;
                        //            startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                        //            startZoomLevel_lbl.DefaultLineStyle = linestyle;
                        //            startZoomLevel_lbl.DefaultTextStyle = textStyle;
                        //            startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                        //            sl.lyr_line_Submarine_Cable_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                        //            Proj4Projection proj4_lines_Submarine_Cable_lbl = new Proj4Projection();
                        //            proj4_lines_Submarine_Cable_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                        //            proj4_lines_Submarine_Cable_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                        //            sl.lyr_line_Submarine_Cable_lbl.FeatureSource.Projection = proj4_lines_Submarine_Cable_lbl;

                        //            layerOverLay.Layers.Add("Lbl_Submarine_Cable", sl.lyr_line_Submarine_Cable_lbl);
                        //            sl.lyr_line_Submarine_Cable_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                        //            //Over write label visibility if, parent layer initflag is false
                        //            if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                        //            {
                        //                sl.lyr_line_Submarine_Cable_lbl.IsVisible = false;
                        //            }
                        //        }
                        //    }
                        //}
                        #endregion ##  End of Submarine_Cable Line Point  ##
                    }
                }
                #endregion

                #region 3. Attachment
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 3"; //Attachment
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Aerial_Slack Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 3 and lid = 1"; //Aerial_Slack
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Diamond";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Diamond; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Aerial_Slack = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Aerial_Slack.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Aerial_Slack.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lyr_point_Aerial_Slack = new Proj4Projection();
                                proj4_lyr_point_Aerial_Slack.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lyr_point_Aerial_Slack.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Aerial_Slack.FeatureSource.Projection = proj4_lyr_point_Aerial_Slack;

                                layerOverLay.Layers.Add("Lyr_Aerial_Slack", sl.lyr_point_Aerial_Slack);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Aerial_Slack.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Aerial_Slack.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Aerial_Slack_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Aerial_Slack_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Aerial_Slack_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lyr_point_Aerial_Slack_lbl = new Proj4Projection();
                                    proj4_lyr_point_Aerial_Slack_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lyr_point_Aerial_Slack_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Aerial_Slack_lbl.FeatureSource.Projection = proj4_lyr_point_Aerial_Slack_lbl;

                                    layerOverLay.Layers.Add("Lbl_Aerial_Slack", sl.lyr_point_Aerial_Slack_lbl);
                                    sl.lyr_point_Aerial_Slack_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Aerial_Slack_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Aerial_Slack Point  ##
                        #region Underground_Slack Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 3 and lid = 2"; //Underground_Slack
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Diamond";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Diamond; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Underground_Slack = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Underground_Slack.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Underground_Slack.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lyr_point_Underground_Slack = new Proj4Projection();
                                proj4_lyr_point_Underground_Slack.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lyr_point_Underground_Slack.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Underground_Slack.FeatureSource.Projection = proj4_lyr_point_Underground_Slack;

                                layerOverLay.Layers.Add("Lyr_Underground_Slack", sl.lyr_point_Underground_Slack);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Underground_Slack.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Underground_Slack.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Underground_Slack_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Underground_Slack_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Underground_Slack_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lyr_point_Underground_Slack_lbl = new Proj4Projection();
                                    proj4_lyr_point_Underground_Slack_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lyr_point_Underground_Slack_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Underground_Slack_lbl.FeatureSource.Projection = proj4_lyr_point_Underground_Slack_lbl;

                                    layerOverLay.Layers.Add("Lbl_Underground_Slack", sl.lyr_point_Underground_Slack_lbl);
                                    sl.lyr_point_Underground_Slack_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Underground_Slack_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Underground_Slack Point  ##
                    }
                }
                #endregion

                #region 4. Structure
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 4"; //Structure
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Site Line feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 1"; //Site

                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                flineSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                linestyle = LineStyles.CreateSimpleLineStyle(color, flineSize, true);

                                //------------Layer Site
                                sl.lyr_line_Site = GetShapeFileFeatureLayer(sShapeFilePath);

                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                zoomLevelSet = sl.lyr_line_Site.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultLineStyle = linestyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;
                                sl.lyr_line_Site.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_lines_Site = new Proj4Projection();
                                proj4_lines_Site.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_lines_Site.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_line_Site.FeatureSource.Projection = proj4_lines_Site;
                                layerOverLay.Layers.Add("Lyr_Site", sl.lyr_line_Site);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_line_Site.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_line_Site.IsVisible = false;
                                }

                                //------------Layer Site Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_line_Site_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";
                                    // Create text style by column name. 
                                    textStyle = TextStyles.Pipeline1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_line_Site_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultLineStyle = linestyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_line_Site_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_lines_Site_lbl = new Proj4Projection();
                                    proj4_lines_Site_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_lines_Site_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_line_Site_lbl.FeatureSource.Projection = proj4_lines_Site_lbl;

                                    layerOverLay.Layers.Add("Lbl_Site", sl.lyr_line_Site_lbl);
                                    sl.lyr_line_Site_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_line_Site_lbl.IsVisible = false;
                                    }
                                }
                            }
                        }
                        #endregion ##  End of Site Line Point  ##
                        #region Building Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 2"; //Building
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Circle";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"Address";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //12;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Circle; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Building = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Building.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Building.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Building = new Proj4Projection();
                                proj4_points_Building.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Building.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Building.FeatureSource.Projection = proj4_points_Building;

                                layerOverLay.Layers.Add("Lyr_Building", sl.lyr_point_Building);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Building.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Building.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Building_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Building_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Building_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Building_lbl = new Proj4Projection();
                                    proj4_points_Building_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Building_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Building_lbl.FeatureSource.Projection = proj4_points_Building_lbl;

                                    layerOverLay.Layers.Add("Lbl_Building", sl.lyr_point_Building_lbl);
                                    sl.lyr_point_Building_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;
                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Building_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Building Point  ##
                        #region Pole Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 3"; //Pole
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Circle";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Circle; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Pole = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Pole.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Pole.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Pole = new Proj4Projection();
                                proj4_points_Pole.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Pole.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Pole.FeatureSource.Projection = proj4_points_Pole;

                                layerOverLay.Layers.Add("Lyr_Pole", sl.lyr_point_Pole);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Pole.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Pole.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                //if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["labelvisible"]) == true) //At label level
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Pole_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Pole_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Pole_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Pole_lbl = new Proj4Projection();
                                    proj4_points_Pole_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Pole_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Pole_lbl.FeatureSource.Projection = proj4_points_Pole_lbl;

                                    layerOverLay.Layers.Add("Lbl_Pole", sl.lyr_point_Pole_lbl);
                                    sl.lyr_point_Pole_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;
                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Pole_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Pole Point  ##
                        #region Tower Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 4"; //Tower
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Diamond";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Diamond; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Tower = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Tower.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Tower.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Tower = new Proj4Projection();
                                proj4_points_Tower.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Tower.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Tower.FeatureSource.Projection = proj4_points_Tower;

                                layerOverLay.Layers.Add("Lyr_Tower", sl.lyr_point_Tower);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Tower.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Tower.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Tower_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Tower_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Tower_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Tower_lbl = new Proj4Projection();
                                    proj4_points_Tower_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Tower_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Tower_lbl.FeatureSource.Projection = proj4_points_Tower_lbl;

                                    layerOverLay.Layers.Add("Lbl_Tower", sl.lyr_point_Tower_lbl);
                                    sl.lyr_point_Tower_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Tower_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Tower Point  ##
                    }
                }
                #endregion

                #region 5. Access Point
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 5"; //Access Point
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region AccessPoint Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 5 and lid = 1"; //Access_Points
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Circle";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Square; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, GeoColor.StandardColors.Blue, 2, fpointSize);

                                //linestyle = LineStyles.CreateSimpleLineStyle(color, 2, color, 10, color, 10, true);

                                //------------Layer Access Point
                                sl.lyr_point_Access_Point = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Access_Point.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Access_Point.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Access_Points = new Proj4Projection();
                                proj4_points_Access_Points.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Access_Points.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Access_Point.FeatureSource.Projection = proj4_points_Access_Points;

                                layerOverLay.Layers.Add("Lyr_Access_Point", sl.lyr_point_Access_Point);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Access_Point.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Access_Point.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Access_Point_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Access_Point_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Access_Point_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Access_Points_lbl = new Proj4Projection();
                                    proj4_points_Access_Points_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Access_Points_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Access_Point_lbl.FeatureSource.Projection = proj4_points_Access_Points_lbl;

                                    layerOverLay.Layers.Add("Lbl_Access_Point", sl.lyr_point_Access_Point_lbl);
                                    sl.lyr_point_Access_Point_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Access_Point_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of AccessPoint Point  ##
                    }
                }
                #endregion

                #region 7. Equipment
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 7"; //Equipment
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Termination_Panel Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 7 and lid = 1"; //Termination_Panel
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Diamond";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Diamond; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Termination_Panel = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Termination_Panel.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Termination_Panel.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Termination_Panel = new Proj4Projection();
                                proj4_points_Termination_Panel.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Termination_Panel.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Termination_Panel.FeatureSource.Projection = proj4_points_Termination_Panel;

                                layerOverLay.Layers.Add("Lyr_Termination_Panel", sl.lyr_point_Termination_Panel);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Termination_Panel.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Termination_Panel.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Termination_Panel_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Termination_Panel_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Termination_Panel_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Termination_Panel_lbl = new Proj4Projection();
                                    proj4_points_Termination_Panel_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Termination_Panel_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Termination_Panel_lbl.FeatureSource.Projection = proj4_points_Termination_Panel_lbl;

                                    layerOverLay.Layers.Add("Lbl_Termination_Panel", sl.lyr_point_Termination_Panel_lbl);
                                    sl.lyr_point_Termination_Panel_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Termination_Panel_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Termination_Panel Point  ##
                    }
                }
                #endregion

                #region 8. Splice Closure
                dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 8"; //Splice Closure
                if (dsAppConfig.Tables[0].DefaultView.Count > 0)
                {
                    if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                    {
                        #region Splice_Closure Point feature layer declaration
                        //initialize variables
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 8 and lid = 1"; //Splice_Closure
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                            {
                                sShapeFilePath = sDataFolder + dsAppConfig.Tables[1].DefaultView[0]["datasource"].ToString();
                                strPointSymbolType = sPointSymbolType + dsAppConfig.Tables[1].DefaultView[0]["PointSymbol"].ToString(); //"PointSymbolType.Diamond";
                                sColor = sGeoColorSimpleColors + dsAppConfig.Tables[1].DefaultView[0]["color"].ToString();  //"GeoColor.SimpleColors.Blue";
                                fpointSize = float.Parse(dsAppConfig.Tables[1].DefaultView[0]["size"].ToString());  //"15";
                                sDisplayColName = dsAppConfig.Tables[1].DefaultView[0]["labelcolumndisplay"].ToString();  //"TYPE_NAME";
                                iZoomLevelStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //17;
                                sZoomlevelEnd = sLevel + dsAppConfig.Tables[1].DefaultView[0]["scalelower"].ToString(); // "Level20";

                                color = GetGeoColor(sColor);
                                pointSymbolType = GetPointSymbolType(strPointSymbolType); //PointSymbolType.Square; 
                                pointStyle = PointStyles.CreateSimplePointStyle(pointSymbolType, color, fpointSize);

                                //------------Layer Access Point
                                sl.lyr_point_Splice_Closure = GetShapeFileFeatureLayer(sShapeFilePath);

                                // Create ApplyUntilZoomLevel from String.
                                applyUntilZoomlevel = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd);

                                // Get Start Zoom Level Index.
                                zoomLevelSet = sl.lyr_point_Splice_Closure.ZoomLevelSet;
                                startZoomLevel = zoomLevelSet.GetZoomLevels()[iZoomLevelStart];
                                startZoomLevel.DefaultPointStyle = pointStyle;
                                startZoomLevel.ApplyUntilZoomLevel = applyUntilZoomlevel;

                                sl.lyr_point_Splice_Closure.DrawingMarginPercentage = fDrawingMarginPercentage;

                                Proj4Projection proj4_points_Splice_Closure = new Proj4Projection();
                                proj4_points_Splice_Closure.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                proj4_points_Splice_Closure.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                                sl.lyr_point_Splice_Closure.FeatureSource.Projection = proj4_points_Splice_Closure;

                                layerOverLay.Layers.Add("Lyr_Splice_Closure", sl.lyr_point_Splice_Closure);

                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) == 1)
                                {
                                    //Set default setting
                                    sl.lyr_point_Splice_Closure.IsVisible = Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]);
                                }
                                else
                                {
                                    sl.lyr_point_Splice_Closure.IsVisible = false;
                                }

                                //------------

                                //------------Layer Access Point Lable
                                if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) != 0) //At label level
                                {
                                    sl.lyr_point_Splice_Closure_lbl = GetShapeFileFeatureLayer(sShapeFilePath);

                                    iZoomLevelStart_lbl = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["labelscaleupper"]); //18;
                                    sZoomlevelEnd_lbl = sLevel + dsAppConfig.Tables[1].DefaultView[0]["labelscalelower"].ToString(); // "Level20";

                                    // Create text style by column name. 
                                    textStyle = TextStyles.City1(sDisplayColName);

                                    applyUntilZoomlevel_lbl = (ApplyUntilZoomLevel)Enum.Parse(typeof(ApplyUntilZoomLevel), sZoomlevelEnd_lbl);
                                    zoomLevelSet_lbl = sl.lyr_point_Splice_Closure_lbl.ZoomLevelSet;
                                    startZoomLevel_lbl = zoomLevelSet_lbl.GetZoomLevels()[iZoomLevelStart_lbl];
                                    startZoomLevel_lbl.DefaultPointStyle = pointStyle;
                                    startZoomLevel_lbl.DefaultTextStyle = textStyle;
                                    startZoomLevel_lbl.ApplyUntilZoomLevel = applyUntilZoomlevel_lbl;

                                    sl.lyr_point_Splice_Closure_lbl.DrawingMarginPercentage = fDrawingMarginPercentage;

                                    Proj4Projection proj4_points_Splice_Closure_lbl = new Proj4Projection();
                                    proj4_points_Splice_Closure_lbl.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                                    proj4_points_Splice_Closure_lbl.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                                    sl.lyr_point_Splice_Closure_lbl.FeatureSource.Projection = proj4_points_Splice_Closure_lbl;

                                    layerOverLay.Layers.Add("Lbl_Splice_Closure", sl.lyr_point_Splice_Closure_lbl);
                                    sl.lyr_point_Splice_Closure_lbl.IsVisible = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lbl_status"]) == 1 ? true : false;

                                    //Over write label visibility if, parent layer initflag is false
                                    if (Convert.ToBoolean(dsAppConfig.Tables[1].DefaultView[0]["initflag"]) == false)
                                    {
                                        sl.lyr_point_Splice_Closure_lbl.IsVisible = false;
                                    }
                                }
                                //------------
                            }
                        }
                        #endregion ##  End of Splice_Closure Point  ##
                    }
                }
                #endregion


                #endregion

                //Create in Memory layer to draw rectangle on map & projection for that
                InMemoryFeatureLayer shapeLayer = new InMemoryFeatureLayer();
                shapeLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.CreateSimpleCircleStyle(GeoColor.FromArgb(180, 102, 255, 102), 10, GeoColor.StandardColors.DarkGreen, 1);
                shapeLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.StandardColors.Green, 4, true);
                shapeLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(180, 102, 255, 102), GeoColor.StandardColors.DarkGreen, 1);
                shapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                shapeLayer.DrawingQuality = DrawingQuality.HighQuality;

                Proj4Projection proj4_shapeLayer = new Proj4Projection();
                proj4_shapeLayer.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                proj4_shapeLayer.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                shapeLayer.FeatureSource.Projection = proj4_shapeLayer;
                layerOverLay.Layers.Add("shapeLayer", shapeLayer);

                #region //For some reason.. to over come issue of projection at some point
                Proj4Projection proj4ForShapes = new Proj4Projection();
                proj4ForShapes.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                proj4ForShapes.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                proj4ForShapes.Open();
                //Map1.EditOverlay.FeatureSource.Projection = proj4ForShapes;
                #endregion

                //Create in memory layer to search and zoom in based on Long, Lat (Geo code)
                #region Create in memory layer to search and zoom in based on Long, Lat & Map point web service
                InMemoryFeatureLayer InMemoryLayerGeoCode = new InMemoryFeatureLayer();
                InMemoryLayerGeoCode.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.CreateSimplePointStyle(PointSymbolType.Star, GeoColor.StandardColors.Red, 20);
                InMemoryLayerGeoCode.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Proj4Projection proj4_InMemoryLayerGeoCode = new Proj4Projection();
                proj4_InMemoryLayerGeoCode.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                proj4_InMemoryLayerGeoCode.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                InMemoryLayerGeoCode.FeatureSource.Projection = proj4_InMemoryLayerGeoCode;
                layerOverLay.Layers.Add("InMemoryLayerGeoCode", InMemoryLayerGeoCode);

                #endregion


                //Create layer over lay and add above 4 layers to it
                //LayerOverlay layerOverLay = new LayerOverlay("OSPFM Layers");
                //layerOverLay.IsBaseOverlay = false;
                //layerOverLay.ClientCache.CacheId = "OSPFM_Layers";
                //layerOverLay.TransitionEffect = TransitionEffect.None;

                //layerOverLay.Layers.Clear();
                //layerOverLay.Layers.Add("Lyr_Access_Point", lyr_points_Access_Point);
                //layerOverLay.Layers.Add("Lbl_Access_Point", lbl_Access_Point);
                //layerOverLay.Layers.Add("Lyr_FS_LD", lyr_lines_FS_LD);
                
                
                //layerOverLay.TileType = TileType.SingleTile;

                //Create VE layer and to Map1
                VirtualEarthOverlay ve = new VirtualEarthOverlay("VirtualEarth Map");
                ve.VirtualEarthMapType = VirtualEarthMapType.Birdseye;

                Map1.CustomOverlays.Clear();
                Map1.CustomOverlays.Add(layerOverLay);
                Map1.CustomOverlays.Add(ve);

                LoadLegendData();
            }
            else
            {
            }
        }

        protected void Tabs_ActiveTabChanged(object sender, EventArgs e)
        {
            //Response.Write(Tabs.ActiveTab.HeaderText);
            //LoadData();
        }

        protected void TreeView1_SelectedNodeChanged(object sender, EventArgs e)
        {
            if (TreeView1.SelectedNode.Value.Contains("POINT") == true || TreeView1.SelectedNode.Value.Contains("MULTILINESTRING") == true)
            {
                RectangleShape rs = new RectangleShape(TreeView1.SelectedNode.Value);
                Map1.CurrentExtent = ExtentHelper.GetDrawingExtent(rs, (float)Map1.WidthInPixels, (float)Map1.HeightInPixels);
            }
            //LoadData();
        }

        void LoadData()
        {
            int cnt = 0;
            RectangleShape rectangle;
            panel.Controls.Clear();

            if (Map1.EditOverlay.Features.Count != 0)
            {
                rectangle = Map1.EditOverlay.Features[0].GetBoundingBox();
                ViewState["rectangle"] = rectangle;
            }
            else
            {
                rectangle = (RectangleShape)ViewState["rectangle"];
            }

            TreeView1.Nodes.Clear();

            #region All layers
            //dsAppConfig.Tables[1].DefaultView.RowFilter = "";

            #region 1. Fiber Security
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 1"; //Fiber Security
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> LDFeatures = null; string sLDColname = null; bool bLDinRange = false;
                    Collection<Feature> GNSFeatures = null; string sGNSColname = null; bool bGNSinRange = false;
                    Collection<Feature> LocalFeatures = null; string sLocalColname = null; bool bLocalinRange = false;

                    #region FS_LD Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 1"; //FS_LD

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sLDColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bLDinRange = true;
                                sl.lyr_line_FS_LD = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_LD"];
                                sl.lyr_line_FS_LD.Open();
                                LDFeatures = sl.lyr_line_FS_LD.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);                    
                                cnt += LDFeatures.Count;
                                sl.lyr_line_FS_LD.Close();
                            }
                        }
                    }
                    #endregion
                    #region FS_GNS Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 2"; //FS_GNS

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sGNSColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bGNSinRange = true;
                                sl.lyr_line_FS_GNS = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_GNS"];
                                sl.lyr_line_FS_GNS.Open();
                                GNSFeatures = sl.lyr_line_FS_GNS.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += GNSFeatures.Count;
                                sl.lyr_line_FS_GNS.Close();
                            }
                        }
                    }
                    #endregion
                    #region FS_Local Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 3"; //FS_Local

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sLocalColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bLocalinRange = true;
                                sl.lyr_line_FS_Local = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_Local"];
                                sl.lyr_line_FS_Local.Open();
                                LocalFeatures = sl.lyr_line_FS_Local.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += LocalFeatures.Count;
                                sl.lyr_line_FS_Local.Close();
                            }
                        }
                    }
                    #endregion

                    //Create Treeview group node, if any collection feature list of above 3 lyrs count > 0
                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "FiberSecurity (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bLDinRange)
                        { AddList(LDFeatures, GrpLyr, "", sLDColname); }
                        if (bGNSinRange)
                        { AddList(GNSFeatures, GrpLyr, "", sGNSColname); }
                        if (bLocalinRange)
                        { AddList(LocalFeatures, GrpLyr, "", sLocalColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }
                }
            }
            #endregion

            #region 6. Span
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 6"; //Span
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> SpanFeatures = null; string sSpanColname = null; bool bSpaninRange = false;

                    #region Span Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 6 and lid = 1"; //Span

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sSpanColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bSpaninRange = true;
                                sl.lyr_line_Span = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Span"];
                                sl.lyr_line_Span.Open();
                                SpanFeatures = sl.lyr_line_Span.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += SpanFeatures.Count;
                                sl.lyr_line_Span.Close();
                            }
                        }
                    }
                    #endregion
                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "Span (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bSpaninRange)
                        { AddList(SpanFeatures, GrpLyr, "", sSpanColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }

                }
            }
            #endregion

            #region 2. Trans Media
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 2"; //Trans Media
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> BurriedFeatures = null; string sBurriedColname = null; bool bBurriedinRange = false;
                    Collection<Feature> AerialFeatures = null; string sAerialColname = null; bool bAerialinRange = false;
                    Collection<Feature> CopperFeatures = null; string sCopperColname = null; bool bCopperinRange = false;
                    Collection<Feature> LeasedFeatures = null; string sLeasedColname = null; bool bLeasedinRange = false;

                    #region Buried_Cable Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 1"; //Buried_Cable

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sBurriedColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bBurriedinRange = true;
                                sl.lyr_line_Buried_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Buried_Cable"];
                                sl.lyr_line_Buried_Cable.Open();
                                BurriedFeatures = sl.lyr_line_Buried_Cable.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += BurriedFeatures.Count;
                                sl.lyr_line_Buried_Cable.Close();
                            }
                        }
                    }
                    #endregion
                    #region Aerial_Fiber Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 2"; //Aerial_Fiber

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sAerialColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bAerialinRange = true;
                                sl.lyr_line_Aerial_Fiber = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Aerial_Fiber"];
                                sl.lyr_line_Aerial_Fiber.Open();
                                AerialFeatures = sl.lyr_line_Aerial_Fiber.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += AerialFeatures.Count;
                                sl.lyr_line_Aerial_Fiber.Close();
                            }
                        }
                    }
                    #endregion
                    #region Copper_Cable Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 3"; //Copper_Cable

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sCopperColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bCopperinRange = true;
                                sl.lyr_line_Copper_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Copper_Cable"];
                                sl.lyr_line_Copper_Cable.Open();
                                CopperFeatures = sl.lyr_line_Copper_Cable.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += CopperFeatures.Count;
                                sl.lyr_line_Copper_Cable.Close();
                            }
                        }
                    }
                    #endregion
                    #region Leased_Cable Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 4"; //Leased_Cable

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sLeasedColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bLeasedinRange = true;
                                sl.lyr_line_Leased_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Leased_Cable"];
                                sl.lyr_line_Leased_Cable.Open();
                                LeasedFeatures = sl.lyr_line_Leased_Cable.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += LeasedFeatures.Count;
                                sl.lyr_line_Leased_Cable.Close();
                            }
                        }
                    }
                    #endregion

                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "TransMedia (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bBurriedinRange)
                        { AddList(BurriedFeatures, GrpLyr, "", sBurriedColname); }
                        if (bAerialinRange)
                        { AddList(AerialFeatures, GrpLyr, "", sAerialColname); }
                        if (bCopperinRange)
                        { AddList(CopperFeatures, GrpLyr, "", sCopperColname); }
                        if (bLeasedinRange)
                        { AddList(LeasedFeatures, GrpLyr, "", sLeasedColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }
                }
            }
            #endregion

            #region 3. Attachment
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 3"; //Attachment
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> ASFeatures = null; string sASColname = null; bool bASinRange = false;
                    Collection<Feature> USFeatures = null; string sUSColname = null; bool bUSlinRange = false;

                    #region Aerial_Slack Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 3 and lid = 1"; //Aerial_Slack

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sASColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bASinRange = true;
                                sl.lyr_point_Aerial_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Slack"];
                                sl.lyr_point_Aerial_Slack.Open();
                                ASFeatures = sl.lyr_point_Aerial_Slack.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += ASFeatures.Count;
                                sl.lyr_point_Aerial_Slack.Close();
                            }
                        }
                    }
                    #endregion
                    #region Underground_Slack Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 3 and lid = 2"; //Underground_Slack

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sUSColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bUSlinRange = true;
                                sl.lyr_point_Underground_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Slack"];
                                sl.lyr_point_Underground_Slack.Open();
                                USFeatures = sl.lyr_point_Underground_Slack.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += USFeatures.Count;
                                sl.lyr_point_Underground_Slack.Close();
                            }
                        }
                    }
                    #endregion

                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "Attachment (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bASinRange)
                        { AddList(ASFeatures, GrpLyr, "", sASColname); }
                        if (bUSlinRange)
                        { AddList(USFeatures, GrpLyr, "", sUSColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }
                }
            }
            #endregion

            #region 4. Structure
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 4"; //Structure
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> SiteFeatures = null; string sSiteColname = null; bool bSiteinRange = false;
                    Collection<Feature> BuildingFeatures = null; string sBuildingColname = null; bool bBuildinglinRange = false;
                    Collection<Feature> PoleFeatures = null; string sPoleColname = null; bool bPoleinRange = false;
                    Collection<Feature> TowerFeatures = null; string sTowerColname = null; bool bTowerlinRange = false;

                    #region Site Line feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 1"; //Site

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sSiteColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bSiteinRange = true;
                                sl.lyr_line_Site = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Site"];
                                sl.lyr_line_Site.Open();
                                SiteFeatures = sl.lyr_line_Site.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += SiteFeatures.Count;
                                sl.lyr_line_Site.Close();
                            }
                        }
                    }
                    #endregion
                    #region Building Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 2"; //Building

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sBuildingColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bBuildinglinRange = true;
                                sl.lyr_point_Building = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Building"];
                                sl.lyr_point_Building.Open();
                                BuildingFeatures = sl.lyr_point_Building.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += BuildingFeatures.Count;
                                sl.lyr_point_Building.Close();
                            }
                        }
                    }
                    #endregion
                    #region Pole Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 3"; //Pole

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sPoleColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bPoleinRange = true;
                                sl.lyr_point_Pole = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Pole"];
                                sl.lyr_point_Pole.Open();
                                PoleFeatures = sl.lyr_point_Pole.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += PoleFeatures.Count;
                                sl.lyr_point_Pole.Close();
                            }
                        }
                    }
                    #endregion
                    #region Tower Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 4 and lid = 4"; //Tower

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sTowerColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bTowerlinRange = true;
                                sl.lyr_point_Tower = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Tower"];
                                sl.lyr_point_Tower.Open();
                                TowerFeatures = sl.lyr_point_Tower.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += TowerFeatures.Count;
                                sl.lyr_point_Tower.Close();
                            }
                        }
                    }
                    #endregion

                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "Structure (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bSiteinRange)
                        { AddList(SiteFeatures, GrpLyr, "", sSiteColname); }
                        if (bBuildinglinRange)
                        { AddList(BuildingFeatures, GrpLyr, "", sBuildingColname); }
                        if (bPoleinRange)
                        { AddList(PoleFeatures, GrpLyr, "", sPoleColname); }
                        if (bTowerlinRange)
                        { AddList(TowerFeatures, GrpLyr, "", sTowerColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }

                }
            }
            #endregion

            #region 5. Access Point
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 5"; //Access Point
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                Collection<Feature> APFeatures = null; string sAPColname = null; bool bAPinRange = false;

                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    #region AccessPoint Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 5 and lid = 1"; //Access_Points

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sAPColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bAPinRange = true;
                                sl.lyr_point_Access_Point = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Access_Point"];
                                sl.lyr_point_Access_Point.Open();
                                APFeatures = sl.lyr_point_Access_Point.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += APFeatures.Count;
                                sl.lyr_point_Access_Point.Close();
                            }
                        }
                    }
                    #endregion

                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "AccessPoint (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bAPinRange)
                        { AddList(APFeatures, GrpLyr, "", sAPColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }

                }
            }
            #endregion 

            #region 7. Equipment
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 7"; //Equipment
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    Collection<Feature> TPFeatures = null; string sTPColname = null; bool bTPinRange = false;

                    #region Termination_Panel Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 7 and lid = 1"; //Termination_Panel

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sTPColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bTPinRange = true;
                                sl.lyr_point_Termination_Panel = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Termination_Panel"];
                                sl.lyr_point_Termination_Panel.Open();
                                TPFeatures = sl.lyr_point_Termination_Panel.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += TPFeatures.Count;
                                sl.lyr_point_Termination_Panel.Close();
                            }
                        }
                    }
                    #endregion
                    if (cnt > 0)
                    {
                        sNodeGroupLayerName = "Equipment (" + cnt + ")";
                        GrpLyr = new TreeNode(sNodeGroupLayerName);

                        if (bTPinRange)
                        { AddList(TPFeatures, GrpLyr, "", sTPColname); }

                        root.ChildNodes.Add(GrpLyr);
                        if (TreeView1.Nodes.Count == 0)
                        {
                            TreeView1.Nodes.Add(root);
                        }
                        TreeView1.Nodes[0].Expand();
                    }

                }
            }
            #endregion

            #region 8. Splice Closure
            cnt = 0;
            dsAppConfig.Tables[0].DefaultView.RowFilter = "ID = 8"; //Splice Closure
            if (dsAppConfig.Tables[0].DefaultView.Count > 0)
            {
                if (Convert.ToBoolean(dsAppConfig.Tables[0].DefaultView[0]["visible"]) == true) //At Parent level
                {
                    #region Splice_Closure Point feature layer declaration
                    //initialize variables
                    dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'point' and id = 8 and lid = 1"; //Splice_Closure

                    if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                    {
                        Collection<Feature> SCFeatures = null; string sSCColname = null; bool bSCinRange = false;

                        if (Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["lyr_status"]) != 0) //At layer top level
                        {
                            sSCColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();
                            iScaleStart = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scaleupper"]); //4;
                            iScaleEnd = Convert.ToInt32(dsAppConfig.Tables[1].DefaultView[0]["scalelower"]); // "Level20";
                            iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                            if (iCurrentScale >= iScaleStart && iCurrentScale <= iScaleEnd)
                            {
                                bSCinRange = true;
                                sl.lyr_point_Splice_Closure = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Splice_Closure"];
                                sl.lyr_point_Splice_Closure.Open();
                                SCFeatures = sl.lyr_point_Splice_Closure.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
                                cnt += SCFeatures.Count;
                                sl.lyr_point_Splice_Closure.Close();
                            }
                        }
                        #endregion

                        if (cnt > 0)
                        {
                            sNodeGroupLayerName = "SpliceClosure (" + cnt + ")";
                            GrpLyr = new TreeNode(sNodeGroupLayerName);

                            if (bSCinRange)
                            { AddList(SCFeatures, GrpLyr, "", sSCColname); }

                            root.ChildNodes.Add(GrpLyr);
                            if (TreeView1.Nodes.Count == 0)
                            {
                                TreeView1.Nodes.Add(root);
                            }
                            TreeView1.Nodes[0].Expand();
                        }
                    }
                }
            }
            #endregion

            InMemoryFeatureLayer recLayer = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["shapeLayer"];
            recLayer.InternalFeatures.Clear();
            recLayer.InternalFeatures.Add(new Feature(rectangle));
            recLayer.Close();
            #endregion

            //======================================

            //ShapeFileFeatureLayer lineLayer = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_LD"];
            //ShapeFileFeatureLayer pointLayer = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Access_Point"];
            //InMemoryFeatureLayer recLayer = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["shapeLayer"];

            //lineLayer.Open();
            //pointLayer.Open();
            //recLayer.Open();
            //Collection<Feature> lineFeatures = lineLayer.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
            //Collection<Feature> pointFeatures = pointLayer.QueryTools.GetFeaturesIntersecting(rectangle, ReturningColumnsType.AllColumns);
            //recLayer.InternalFeatures.Clear();
            //recLayer.InternalFeatures.Add(new Feature(rectangle));

            //lineLayer.Close();
            //pointLayer.Close();
            //recLayer.Close();

            //AddList1(lineFeatures, "FiberSecurity");
            //AddList1(pointFeatures, "AccessPoints");

            ////ViewState["tv"] = TreeView1;
            ////}
            ////Map1.EditOverlay.Features.Clear();
            ////===============================
        }

        void AddList(Collection<Feature> features, TreeNode GrpLyr, string sGroupLayerName, string colname)
        {
            HtmlAnchor ha;
            //sNodeGroupLayerName = sGroupLayerName + " (" + features.Count + ")";
            //GrpLyr = new TreeNode(sNodeGroupLayerName);
            if (features.Count > 0)
            {
                for (int i = 0; i < features.Count; i++)
                {
                        ////ha = new HtmlAnchor();
                        ////ctn = new CustomTreeNode(features[i].ColumnValues[colname] + " -", features[i].ColumnValues[colname], features[i].GetWellKnownText());
                        ////ChildLyr = ctn;

                    ChildLyr = new TreeNode();
                    ChildLyr.Text = "<div id='myDiv' onmouseover='return linkOver(this)' onmouseout='linkOut()' wkt='" + features[i].GetWellKnownText() + "'>" + "<b><u><font color=BLUEVIOLET>" + features[i].ColumnValues[colname] + "</font></b></u>" + "</div>";  
                    ChildLyr.Value = features[i].GetWellKnownText();


                    GrpLyr.ChildNodes.Add(ChildLyr);

                    string[] aKeys = new string[features[i].ColumnValues.Keys.Count];

                    features[i].ColumnValues.Keys.CopyTo(aKeys, 0);

                    for (int j = 0; j < aKeys.Length; j++)
                    {
                        ChildLyrElements = new TreeNode();
                        //ChildLyrElements.Text = aKeys[j].ToString() + ":" + features[i].ColumnValues[aKeys[j]];
                        //ChildLyrElements.Text = aKeys[j].ToString() + ": <b>" +  features[i].ColumnValues[aKeys[j]] + "</b>";
                        ChildLyrElements.Text = "<b>" + aKeys[j].ToString() + "</b> : <font color=red>" + features[i].ColumnValues[aKeys[j]] + "</font>";
                        ChildLyr.ChildNodes.Add(ChildLyrElements);
                    }
                }
            }

            //root.ChildNodes.Add(GrpLyr);
            //if (TreeView1.Nodes.Count == 0)
            //{
            //    TreeView1.Nodes.Add(root);
            //}
            ////TreeView1.Nodes[0].ChildNodes[0].ExpandAll();
            //TreeView1.Nodes[0].Expand();
        }

        void AddList1(Collection<Feature> features, string sGroupLayerName)
        {
            if (features.Count != 0)
            {
                //WellKnownType featureType = features[0].GetWellKnownType();
                //string shapeTypeString = (featureType == WellKnownType.Point ? "Points" : "Lines");
                //string colName = shapeTypeString == "Points" ? "Type_Name" : "Name";

                //System.Web.UI.WebControls.Label label = new System.Web.UI.WebControls.Label();
                //label.Text = shapeTypeString + "<br/>";
                //label.Font.Size = 10;
                //panel.Controls.Add(label);

                //foreach (Feature feature in features)
                //{
                //    LiteralControl br = new LiteralControl("<br/>");
                //    HtmlAnchor anchor = new HtmlAnchor();
                //    anchor.InnerHtml = feature.ColumnValues[colName];
                //    anchor.HRef = "#";
                //    anchor.Attributes.Add("wkt", feature.GetWellKnownText());
                //    anchor.Attributes.Add("onmouseover", "linkOver(this)");
                //    anchor.Attributes.Add("onmouseout", "linkOut()");
                //    // anchor.ServerClick+=new EventHandler(anchor_ServerClick);

                //    panel.Controls.Add(anchor);
                //    panel.Controls.Add(br);
                //}
            }
            //=============================================
            sNodeGroupLayerName = sGroupLayerName + " (" + features.Count + ")";
            GrpLyr = new TreeNode(sNodeGroupLayerName);
            if (features.Count > 0)
            {
                for (int i = 0; i < features.Count; i++)
                {
                    if (sGroupLayerName == "FiberSecurity")
                    {
                        HtmlAnchor ha = new HtmlAnchor();
                        ctn = new CustomTreeNode(features[i].ColumnValues["Name"] + " -", features[i].ColumnValues["Name"], features[i].GetWellKnownText());

                        ChildLyr = ctn;

                    }
                    else if (sGroupLayerName == "AccessPoints")
                    {
                        HtmlAnchor ha = new HtmlAnchor();
                        ctn = new CustomTreeNode(features[i].ColumnValues["Type_Name"] + " -", features[i].ColumnValues["Type_Name"], features[i].GetWellKnownText());
                        ChildLyr = ctn;
                    }

                    GrpLyr.ChildNodes.Add(ChildLyr);

                    string[] aKeys = new string[features[i].ColumnValues.Keys.Count];

                    features[i].ColumnValues.Keys.CopyTo(aKeys, 0);

                    for (int j = 0; j < aKeys.Length; j++)
                    {
                        ChildLyrElements = new TreeNode();
                        ChildLyrElements.Text = aKeys[j].ToString() + ":" + features[i].ColumnValues[aKeys[j]];
                        ChildLyr.ChildNodes.Add(ChildLyrElements);
                    }
                }
            }

            root.ChildNodes.Add(GrpLyr);
            if (TreeView1.Nodes.Count == 0)
            {
                TreeView1.Nodes.Add(root);
            }
            //TreeView1.Nodes[0].ChildNodes[0].ExpandAll();
            TreeView1.Nodes[0].Expand();
        }

        protected void Map1_TrackShapeFinished(object sender, EventArgs e)
        {
            LoadData();
            Map1.EditOverlay.Features.Clear();
            Tabs.ActiveTabIndex = 1;
        }

        protected void listboxFindResults_SelectedIndexChanged(object sender, EventArgs e)
        {
            Char[] splitChar = new Char[1];
            splitChar[0] = System.Convert.ToChar("/");
            string myLatLongValue = listboxFindResults.SelectedItem.Value;
            string[] myLatLongValueArray = myLatLongValue.Split(splitChar);

            RenderMap(System.Convert.ToDouble(myLatLongValueArray[0]), System.Convert.ToDouble(myLatLongValueArray[1]));
            //Map1.Height = 600;
            //ResultPanel.Visible = false;
            //lblMessage.Visible = false;

            if (TreeView1.Nodes.Count > 0)
            {
                LoadData(); //To load anchor data in treeview node (It looeses value on post back)
            }
        }

        void RenderMap(double myLatitude, double myLongitude)
        {
            InMemoryFeatureLayer InMemoryLayerGeoCode = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["InMemoryLayerGeoCode"];
            //****************************
            //use following layer, and comment above layer when all shape layers are declared in page load event
            //InMemoryFeatureLayer shapeLayer = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers[21];
            //****************************

            LayerOverlay layerOverLay = (LayerOverlay)Map1.CustomOverlays[0];

            Feature pointFeature = new Feature(new PointShape(myLongitude, myLatitude));

            InMemoryLayerGeoCode.InternalFeatures.Clear();
            InMemoryLayerGeoCode.InternalFeatures.Add(pointFeature.Id, pointFeature);

            Proj4Projection proj4Projection = new Proj4Projection();

            proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326); //Geodetic (Decimal Degrees, Long-Lat)

            proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString(); //Google-VE proj.

            proj4Projection.Open();

            Vertex myVertex = proj4Projection.ConvertToExternalProjection(myLongitude, myLatitude);

            proj4Projection.Close();

            EllipseShape myEll = new EllipseShape(new PointShape(myVertex), 100);

            Map1.CurrentExtent = myEll.GetBoundingBox();

            layerOverLay.Redraw();
        }

        protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
        {
            Map1.Height = 600;
            ResultPanel.Visible = false;
            lblMessage.Visible = false;

            if (TreeView1.Nodes.Count > 0)
            {
                LoadData(); //To load anchor data in treeview node (It looeses value on post back)
            }
        }

        protected void btnLatLongSearch_Click(object sender, EventArgs e)
        {
            //string[] split;
            //split = txtLat.Text.ToString().Split(new Char[] { ',' });

            //InMemoryFeatureLayer InMemoryLayerGeoCode = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["InMemoryLayerGeoCode"];
            //LayerOverlay layerOverLay = (LayerOverlay)Map1.CustomOverlays[0];

            //Feature pointFeature = new Feature(new PointShape(double.Parse(split[0], CultureInfo.InvariantCulture), double.Parse(split[1], CultureInfo.InvariantCulture)));

            //InMemoryLayerGeoCode.InternalFeatures.Clear();
            //InMemoryLayerGeoCode.InternalFeatures.Add(pointFeature.Id, pointFeature);

            ////PointShape p = new PointShape(double.Parse(split[0], CultureInfo.InvariantCulture), double.Parse(split[1], CultureInfo.InvariantCulture));

            ////ZoomLevelSet zoomLevelSet = new ZoomLevelSet();
            ////Map1.ZoomToScale(10000000);  

            ////Map1.ZoomTo(p, 1);
            ////Map1.DynamicOverlay.Redraw();
            ////Map1.CurrentExtent = ExtentHelper.GetDrawingExtent(p.GetBoundingBox(), (float)Map1.WidthInPixels, (float)Map1.HeightInPixels);

            //Proj4Projection proj4Projection = new Proj4Projection();

            //proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326); //Geodetic (Decimal Degrees, Long-Lat)

            //proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString(); //Google-VE proj.

            //proj4Projection.Open();

            //Vertex myVertex = proj4Projection.ConvertToExternalProjection(Convert.ToDouble(split[0].ToString()), Convert.ToDouble(split[1].ToString()));

            //proj4Projection.Close();

            //EllipseShape myEll = new EllipseShape(new PointShape(myVertex), 1000);

            //Map1.CurrentExtent = myEll.GetBoundingBox();

            //layerOverLay.Redraw();

        }

        protected void btnAddSearch_Click(object sender, EventArgs e)
        {
            //InMemoryFeatureLayer InMemoryLayerGeoCode = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["InMemoryLayerGeoCode"];
            //InMemoryLayerGeoCode.InternalFeatures.Clear();

            //MapPointService.FindServiceSoap findService = new MapPointService.FindServiceSoap();
            //MapPointService.Address myAddress = new MapPointService.Address();
            //MapPointService.FindAddressSpecification findAddressSpec = new MapPointService.FindAddressSpecification();

            //findService.Credentials = new System.Net.NetworkCredential(myUserName, myPassword);
            //findService.PreAuthenticate = true;

            ////myAddress.AddressLine = TxtAddress.Text.ToString();
            ////myAddress.PrimaryCity = txtCity.Text.ToString();
            ////myAddress.PostalCode = txtZip.Text.ToString();
            ////myAddress.CountryRegion = "USA";

            ////================================
            //string[] split;
            //split = TxtAddress.Text.ToString().Split(new Char[] { ',' });

            //string sFormatedAdd = string.Empty;
            //if (split.Length == 2)
            //{
            //    sFormatedAdd = split[1].Trim().Length == 2 ? TxtAddress.Text.ToString() + ", city" : TxtAddress.Text.ToString();
            //}
            //else
            //{
            //    sFormatedAdd = TxtAddress.Text.ToString() + ", city";
            //}

            ////sFormatedAdd  = split.Length == 1 ? TxtAddress.Text.ToString() + ", city";

            //myAddress.FormattedAddress = sFormatedAdd;
            //myAddress.CountryRegion = "USA";

            //// Set the ThresholdScore option value to zero so maximum results are returned.
            //MapPointService.FindOptions myFindOptions = new MapPointService.FindOptions();
            //myFindOptions.ThresholdScore = 0;

            //findAddressSpec.DataSourceName = "MapPoint.NA";
            //findAddressSpec.Options = myFindOptions;
            //findAddressSpec.InputAddress = myAddress;
            ////================================

            //try
            //{
            //    listboxFindResults.Items.Clear();

            //    foundAddressResults = findService.FindAddress(findAddressSpec);

            //    MapPointService.FindResult[] myResults = foundAddressResults.Results;

            //    //Results.Text = myResults[0].FoundLocation.Address.FormattedAddress + "," + myResults[0].FoundLocation.Address.CountryRegion;
            //    //Results.Text += Environment.NewLine;
            //    //Results.Text += myResults[0].FoundLocation.LatLong.Longitude + "," + myResults[0].FoundLocation.LatLong.Latitude;

            //    //generate list item and hold it to show it user if count >er 1
            //    System.Web.UI.WebControls.ListItem myListItem = new System.Web.UI.WebControls.ListItem();
            //    if (myResults == null)
            //    {
            //        myListItem.Text = "No results found.";
            //        listboxFindResults.Items.Add(myListItem);
            //    }
            //    else if (foundAddressResults.Results.Length > 1)
            //    {
            //        for (int i = 0; i < foundAddressResults.Results.Length; i++)
            //        {
            //            myListItem.Value = foundAddressResults.Results[i].FoundLocation.LatLong.Latitude.ToString() + "/" + foundAddressResults.Results[i].FoundLocation.LatLong.Longitude.ToString();

            //            myListItem.Text = foundAddressResults.Results[i].FoundLocation.Entity.DisplayName;

            //            listboxFindResults.Items.Add(myListItem);
            //            myListItem = new System.Web.UI.WebControls.ListItem();
            //        }

            //        listboxFindResults.SelectedIndex = -1;

            //        Map1.Height = 500;
            //        ResultPanel.Visible = true;

            //    }
            //    else //Single record found
            //    {
            //        Map1.Height = 700;
            //        ResultPanel.Visible = false;
            //        RenderMap(myResults[0].FoundLocation.LatLong.Latitude, myResults[0].FoundLocation.LatLong.Longitude);
            //    }
            //}
            //catch (SoapException myException)
            //{
            //    if (myException.Detail["Type"].InnerText == "MapPointArgumentException")
            //    {
            //        // Output all user errors; assert all other error types.
            //        System.Web.UI.WebControls.ListItem myListItem = new System.Web.UI.WebControls.ListItem();
            //        myListItem.Text = myException.Message;
            //        listboxFindResults.Items.Add(myListItem);
            //    }
            //    else
            //    {
            //        // Your exception handling goes here.
            //    }
            //}

        }

        private ShapeFileFeatureLayer GetShapeFileFeatureLayer(string sAccessPointPath)
        {
            // Here we reflect to create a ShapeFileFeatureLayer object which load file from sAccessPointPath.
            ShapeFileFeatureLayer shapeFileFeatureLayer = (ShapeFileFeatureLayer)Activator.CreateInstance(typeof(ShapeFileFeatureLayer), new object[] { MapPath(sAccessPointPath) });
            return shapeFileFeatureLayer;
        }

        private PointSymbolType GetPointSymbolType(string sAccessPointSymbolType)
        {
            string[] sEnums = sAccessPointSymbolType.Split('.');  //PointSymbolType.Circle
            string typeName = sEnums[0];
            string enumValue = sEnums[1];

            // Use reflect to find the type of PointSymbolType
            // Create the value from string.
            // If your style is changing, 
            // you need to write a complicate method for parsing the value.

            //(GeographyUnit)Enum.Parse(typeof(GeographyUnit), sUnit);

            //Type type = typeName.GetType();
            //Type type = (Type)Enum.Parse(typeof(PointSymbolType), typeName);


            Type type = core.GetType(String.Format("{0}.{1}", nameSpaceForCore, typeName));
            PointSymbolType returnType = (PointSymbolType)Enum.Parse(type, enumValue);
            return returnType;
        }

        private GeoColor GetGeoColor(string sAccessPointColor)
        {
            GeoColor color = GeoColor.SimpleColors.Blue;
            string[] sColor = sAccessPointColor.Split('.');
            string sSecond = sColor[1];
            string sThird = sColor[2];

            // You need to write the method to create the colors you need.
            // Here I only parse the simple colors part.
            switch (sSecond)
            {
                case "SimpleColors":
                    SimpleColors simpleColors = (SimpleColors)typeof(GeoColor).GetProperty(sSecond).GetValue(new GeoColor(), null);
                    return (GeoColor)(typeof(SimpleColors).GetProperty(sThird).GetValue(simpleColors, null));
                case "StandardColors":
                    StandardColors standardcolors = (StandardColors)typeof(GeoColor).GetProperty(sSecond).GetValue(new GeoColor(), null);
                    return (GeoColor)(typeof(StandardColors).GetProperty(sThird).GetValue(standardcolors, null));
                default: return GeoColor.StandardColors.Transparent;

            }
        }

        #region ICallbackEventHandler Members

        public string GetCallbackResult()
        {
            return callbackResult;
        }

        public void RaiseCallbackEvent(string eventArgument)
        {
            string[] lonlatStrings = eventArgument.Split(',');
            string[] iCurrScale = eventArgument.Split(',');
            int iCurScale = Convert.ToInt32(iCurrScale[2]);
            System.Text.StringBuilder sb = new System.Text.StringBuilder();

            // get the click position.
            //PointShape clickWorldPosition = e.Position;
            PointShape clickWorldPosition = new PointShape(double.Parse(lonlatStrings[0]), double.Parse(lonlatStrings[1]));

            // convert to screen point.
            ScreenPointF clickScreenPoint = Map1.ToScreenCoordinate(clickWorldPosition);

            // 5 is the radius to buffer the click point.
            double nextSPX = 0;

            if (iCurScale == GetToolTipScale.sr4_no)  // 4 to 12
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr4_radiusfactor; }  // 5; 
            else if (iCurScale == GetToolTipScale.sr5_no) // 13 to 15
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr5_radiusfactor; } // 0.09;
            else if (iCurScale == GetToolTipScale.sr6_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr6_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr7_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr7_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr8_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr8_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr9_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr9_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr10_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr10_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr11_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr11_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr12_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr12_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr13_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr13_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr14_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr14_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr15_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr15_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr16_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr16_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr17_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr17_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr18_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr18_radiusfactor; } // 0.0009;
            else if (iCurScale == GetToolTipScale.sr19_no) // 16 to 19
            { nextSPX = clickScreenPoint.X + GetToolTipScale.sr19_radiusfactor; } // 0.0009;

            //nextSPX = clickScreenPoint.X + 0.0009;
            ScreenPointF clickNextScreenPoint = new ScreenPointF(Convert.ToSingle(nextSPX), clickScreenPoint.Y);

            // calculate the distance is world coordinate of the radius.
            double worldDistance = ExtentHelper.GetWorldDistanceBetweenTwoScreenPoints(Map1.CurrentExtent, clickScreenPoint, clickNextScreenPoint, 850, 725, GeographyUnit.Meter, DistanceUnit.Meter);

            // calculate the buffer which you need.
            MultipolygonShape clickArea = clickWorldPosition.Buffer(worldDistance, GeographyUnit.Meter, DistanceUnit.Meter);

            //Get current zoom scale
            iCurrentScale = iCurScale;
            Collection<Feature> TTFeatures;
            string sTTColname = string.Empty;

            #region FiberSecurity
            #region FS_LD
            if (iCurrentScale >= LayersScale.FS_LD_scaleupper && iCurrentScale <= LayersScale.FS_LD_scalelower) //Lower is high value
            {
                if (LayersScale.FS_LD_lyr_status == 1)
                {
                    sl.lyr_line_FS_LD = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_LD"];
                    sl.lyr_line_FS_LD.Open();
                    TTFeatures = sl.lyr_line_FS_LD.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_FS_LD.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 1"; //FS_LD
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region FS_GNS
            if (iCurrentScale >= LayersScale.FS_GNS_scaleupper && iCurrentScale <= LayersScale.FS_GNS_scalelower) //Lower is high value
            {
                if (LayersScale.FS_GNS_lyr_status == 1)
                {
                    sl.lyr_line_FS_GNS = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_GNS"];
                    sl.lyr_line_FS_GNS.Open();
                    TTFeatures = sl.lyr_line_FS_GNS.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_FS_GNS.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 2"; //FS_GNS
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region FS_Local
            if (iCurrentScale >= LayersScale.FS_Local_scaleupper && iCurrentScale <= LayersScale.FS_Local_scalelower) //Lower is high value
            {
                if (LayersScale.FS_Local_lyr_status == 1)
                {
                    sl.lyr_line_FS_Local = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_Local"];
                    sl.lyr_line_FS_Local.Open();
                    TTFeatures = sl.lyr_line_FS_Local.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_FS_Local.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 1 and lid = 3"; //FS_Local
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #endregion

            #region Transmedia
            #region Burried Cable
            if (iCurrentScale >= LayersScale.Buried_Cable_scaleupper && iCurrentScale <= LayersScale.Buried_Cable_scalelower) //Lower is high value
            {
                if (LayersScale.Buried_Cable_status == 1)
                {
                    sl.lyr_line_Buried_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Buried_Cable"];
                    sl.lyr_line_Buried_Cable.Open();
                    TTFeatures = sl.lyr_line_Buried_Cable.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Buried_Cable.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 1"; //Burried Cable
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region Aerial Cable
            if (iCurrentScale >= LayersScale.Aerial_Cable_scaleupper && iCurrentScale <= LayersScale.Aerial_Cable_scalelower) //Lower is high value
            {
                if (LayersScale.Aerial_Cable_status == 1)
                {
                    sl.lyr_line_Aerial_Fiber = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Fiber"];
                    sl.lyr_line_Aerial_Fiber.Open();
                    TTFeatures = sl.lyr_line_Aerial_Fiber.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Aerial_Fiber.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 2"; //Aerial Fiber
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region Copper Cable
            if (iCurrentScale >= LayersScale.Copper_Cable_scaleupper && iCurrentScale <= LayersScale.Copper_Cable_scalelower) //Lower is high value
            {
                if (LayersScale.Copper_Cable_status == 1)
                {
                    sl.lyr_line_Copper_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Copper_Cable"];
                    sl.lyr_line_Copper_Cable.Open();
                    TTFeatures = sl.lyr_line_Copper_Cable.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Copper_Cable.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 3"; //Copper Cable
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region Leased Cable
            if (iCurrentScale >= LayersScale.Leased_Cable_scaleupper && iCurrentScale <= LayersScale.Leased_Cable_scalelower) //Lower is high value
            {
                if (LayersScale.Leased_Cable_status == 1)
                {
                    sl.lyr_line_Leased_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Leased_Cable"];
                    sl.lyr_line_Leased_Cable.Open();
                    TTFeatures = sl.lyr_line_Leased_Cable.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Leased_Cable.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 2 and lid = 4"; //Leased Cable
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #endregion

            #region Attachment
            #region Lyr_Aerial_Slack
            if (iCurrentScale >= LayersScale.Aerial_Slack_scaleupper && iCurrentScale <= LayersScale.Aerial_Slack_scalelower) //Lower is high value
            {
                if (LayersScale.Aerial_Slack_status == 1)
                {
                    sl.lyr_point_Aerial_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Slack"];
                    sl.lyr_point_Aerial_Slack.Open();
                    TTFeatures = sl.lyr_point_Aerial_Slack.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Aerial_Slack.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 3 and lid = 1"; //Aerial_Slack
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #region Underground
            if (iCurrentScale >= LayersScale.Underground_Slack_scaleupper && iCurrentScale <= LayersScale.Underground_Slack_scalelower) //Lower is high value
            {
                if (LayersScale.Underground_Slack_status == 1)
                {
                    sl.lyr_point_Underground_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Underground_Slack"];
                    sl.lyr_point_Underground_Slack.Open();
                    TTFeatures = sl.lyr_point_Underground_Slack.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Underground_Slack.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 3 and lid = 2"; //Underground_Slack
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion
            #endregion

            #region Structures
            #region Site
            if (iCurrentScale >= LayersScale.Site_scaleupper && iCurrentScale <= LayersScale.Site_scalelower) //Lower is high value
            {
                if (LayersScale.Site_status == 1)
                {
                    sl.lyr_line_Site = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Site"];
                    sl.lyr_line_Site.Open();
                    TTFeatures = sl.lyr_line_Site.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Site.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 1"; //Site
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion
            #region Building
            if (iCurrentScale >= LayersScale.Building_scaleupper && iCurrentScale <= LayersScale.Building_scalelower) //Lower is high value
            {
                if (LayersScale.Building_status == 1)
                {
                    sl.lyr_point_Building = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Building"];
                    sl.lyr_point_Building.Open();
                    TTFeatures = sl.lyr_point_Building.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Building.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 2"; //Building
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion
            #region Pole
            if (iCurrentScale >= LayersScale.Pole_scaleupper && iCurrentScale <= LayersScale.Pole_scalelower) //Lower is high value
            {
                if (LayersScale.Pole_status == 1)
                {
                    sl.lyr_point_Pole = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Pole"];
                    sl.lyr_point_Pole.Open();
                    TTFeatures = sl.lyr_point_Pole.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Pole.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 3"; //Pole
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion
            #region Tower
            if (iCurrentScale >= LayersScale.Tower_scaleupper && iCurrentScale <= LayersScale.Tower_scalelower) //Lower is high value
            {
                if (LayersScale.Tower_status == 1)
                {
                    sl.lyr_point_Tower = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Tower"];
                    sl.lyr_point_Tower.Open();
                    TTFeatures = sl.lyr_point_Tower.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Tower.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 4 and lid = 4"; //Tower
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion
            #endregion

            #region Access Point
            if (iCurrentScale >= LayersScale.Access_Points_scaleupper && iCurrentScale <= LayersScale.Access_Points_scalelower) //Lower is high value
            {
                if (LayersScale.Access_Points_status == 1)
                {
                    sl.lyr_point_Access_Point = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Access_Point"];
                    sl.lyr_point_Access_Point.Open();
                    TTFeatures = sl.lyr_point_Access_Point.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Access_Point.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 5 and lid = 1"; //Access Point
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion

            #region Span
            if (iCurrentScale >= LayersScale.Span_scaleupper && iCurrentScale <= LayersScale.Span_scalelower) //Lower is high value
            {
                if (LayersScale.Span_status == 1)
                {
                    sl.lyr_line_Span = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Span"];
                    sl.lyr_line_Span.Open();
                    TTFeatures = sl.lyr_line_Span.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_line_Span.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 6 and lid = 1"; //Span
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion

            #region Equipment
            if (iCurrentScale >= LayersScale.Termination_Panel_scaleupper && iCurrentScale <= LayersScale.Termination_Panel_scalelower) //Lower is high value
            {
                if (LayersScale.Termination_Panel_status == 1)
                {
                    sl.lyr_point_Termination_Panel = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Termination_Panel"];
                    sl.lyr_point_Termination_Panel.Open();
                    TTFeatures = sl.lyr_point_Termination_Panel.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Termination_Panel.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 7 and lid = 1"; //Equipment
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }
            #endregion

            #region Splice Closure
            if (iCurrentScale >= LayersScale.Splice_Closure_Panel_scaleupper && iCurrentScale <= LayersScale.Splice_Closure_Panel_scalelower) //Lower is high value
            {
                if (LayersScale.Splice_Closure_Panel_status == 1)
                {
                    sl.lyr_point_Splice_Closure = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Splice_Closure"];
                    sl.lyr_point_Splice_Closure.Open();
                    TTFeatures = sl.lyr_point_Splice_Closure.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);
                    sl.lyr_point_Splice_Closure.Close();

                    if (TTFeatures.Count > 0)
                    {
                        dsAppConfig.Tables[1].DefaultView.RowFilter = "type = 'line' and id = 8 and lid = 1"; //Splice Closure
                        if (dsAppConfig.Tables[1].DefaultView.Count > 0)
                        {
                            sTTColname = dsAppConfig.Tables[1].DefaultView[0]["hovercolumndisplay"].ToString();

                            for (int i = 0; i < TTFeatures.Count; i++)
                            {
                                sb.AppendLine(TTFeatures[i].ColumnValues[sTTColname]);
                            }
                        }
                    }
                }
            }

            #endregion

            //ShapeFileFeatureLayer Lyr_Access_Point = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Access_Point"];
            //try
            //{
            //    Lyr_Access_Point.Open();
            //    Collection<Feature> features = Lyr_Access_Point.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);

            //    if (features.Count > 0)
            //    {
            //        for (int i = 0; i < features.Count; i++)
            //        {
            //            //callbackResult = features[0].ColumnValues["Type_Name"];
            //            sb.AppendLine(features[i].ColumnValues["Type_Name"]);
            //        }
            //    }

            //    ShapeFileFeatureLayer lyr_lines_FS_LD = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_LD"];
            //    lyr_lines_FS_LD.Open();
            //    Collection<Feature> features1 = lyr_lines_FS_LD.QueryTools.GetFeaturesIntersecting(clickArea, ReturningColumnsType.AllColumns);

            //    if (features1.Count > 0)
            //    {
            //        for (int i = 0; i < features1.Count; i++)
            //        {

            //            //callbackResult = features1[0].ColumnValues["Name"];
            //            sb.AppendLine(features1[i].ColumnValues["Name"]);
            //        }
            //    }
            //}
            //catch (Exception ex)
            //{
            //    Response.Write(ex.Message);
            //}

            callbackResult = sb.ToString();
        }

        #endregion

        protected void btnSearch_Click(object sender, EventArgs e)
        {
            if (ddlSearchType.Text == "Address")
            {
                doAddressSearch();
            }
            else if (ddlSearchType.Text == "Longitude,Latitude")
            {
                doLongLatSearch();
            }
            else if (ddlSearchType.Text == "Location")
            {
                doLocationSearch();
            }
            else if (ddlSearchType.Text == "Point of Interest")
            {
                doPointInterestSearch();
            }

            if (TreeView1.Nodes.Count > 0)
            {
                LoadData(); //To load anchor data in treeview node (It looeses value on post back)
            }
            Tabs.ActiveTabIndex = 2;

            //LayerOverlay layerOverLay = (LayerOverlay)Map1.CustomOverlays["OSPFM Layers"];
            //VirtualEarthOverlay ve = (VirtualEarthOverlay)Map1.CustomOverlays["VirtualEarth Map"];
            //ve.VirtualEarthMapType = VirtualEarthMapType.Hybrid;
            //layerOverLay.Redraw();
            //txtVEMapType.Value = "2";

        }

        void doAddressSearch()
        {
            if (TxtAddress.Text.Trim().Length == 0)
            {
                lblMessage.Text = "Please enter address here in postal format. ex: 2400 Glenville Dr";
                lblMessage.Visible = true;
                return;
            }

            lblMessage.Visible = false;

            InMemoryFeatureLayer InMemoryLayerGeoCode = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["InMemoryLayerGeoCode"];
            InMemoryLayerGeoCode.InternalFeatures.Clear();

            MapPointService.FindServiceSoap findService = new MapPointService.FindServiceSoap();
            MapPointService.Address myAddress = new MapPointService.Address();
            MapPointService.FindAddressSpecification findAddressSpec = new MapPointService.FindAddressSpecification();

            findService.Credentials = new System.Net.NetworkCredential(myUserName, myPassword);
            findService.PreAuthenticate = true;

            //myAddress.AddressLine = TxtAddress.Text.ToString();
            //myAddress.PrimaryCity = txtCity.Text.ToString();
            //myAddress.PostalCode = txtZip.Text.ToString();
            //myAddress.CountryRegion = "USA";

            //================================
            string[] split;
            split = TxtAddress.Text.ToString().Split(new Char[] { ',' });

            string sFormatedAdd = string.Empty;
            if (split.Length == 2)
            {
                sFormatedAdd = split[1].Trim().Length == 2 ? TxtAddress.Text.ToString() + ", city" : TxtAddress.Text.ToString();
            }
            else
            {
                sFormatedAdd = TxtAddress.Text.ToString() + ", city";
            }

            //sFormatedAdd  = split.Length == 1 ? TxtAddress.Text.ToString() + ", city";

            myAddress.FormattedAddress = sFormatedAdd;
            myAddress.CountryRegion = "USA";

            // Set the ThresholdScore option value to zero so maximum results are returned.
            MapPointService.FindOptions myFindOptions = new MapPointService.FindOptions();
            myFindOptions.ThresholdScore = 0;

            findAddressSpec.DataSourceName = "MapPoint.NA";
            findAddressSpec.Options = myFindOptions;
            findAddressSpec.InputAddress = myAddress;
            //================================

            try
            {
                listboxFindResults.Items.Clear();

                foundAddressResults = findService.FindAddress(findAddressSpec);

                MapPointService.FindResult[] myResults = foundAddressResults.Results;

                //Results.Text = myResults[0].FoundLocation.Address.FormattedAddress + "," + myResults[0].FoundLocation.Address.CountryRegion;
                //Results.Text += Environment.NewLine;
                //Results.Text += myResults[0].FoundLocation.LatLong.Longitude + "," + myResults[0].FoundLocation.LatLong.Latitude;

                //generate list item and hold it to show it user if count >er 1
                System.Web.UI.WebControls.ListItem myListItem = new System.Web.UI.WebControls.ListItem();
                if (myResults == null)
                {
                    myListItem.Text = "No results found.";
                    listboxFindResults.Items.Add(myListItem);
                }
                else if (foundAddressResults.Results.Length > 1)
                {
                    for (int i = 0; i < foundAddressResults.Results.Length; i++)
                    {
                        myListItem.Value = foundAddressResults.Results[i].FoundLocation.LatLong.Latitude.ToString() + "/" + foundAddressResults.Results[i].FoundLocation.LatLong.Longitude.ToString();

                        myListItem.Text = foundAddressResults.Results[i].FoundLocation.Entity.DisplayName;

                        listboxFindResults.Items.Add(myListItem);
                        myListItem = new System.Web.UI.WebControls.ListItem();
                    }

                    listboxFindResults.SelectedIndex = -1;

                    //Map1.Height = 500;
                    ResultPanel.Visible = true;

                }
                else //Single record found
                {
                    //Map1.Height = 700;
                    ResultPanel.Visible = false;
                    RenderMap(myResults[0].FoundLocation.LatLong.Latitude, myResults[0].FoundLocation.LatLong.Longitude);
                }

                lblMessage.Text = foundAddressResults.Results.Length + " Record(s) found.";
                lblMessage.Visible = true;
            }
            catch (SoapException myException)
            {
                if (myException.Detail["Type"].InnerText == "MapPointArgumentException")
                {
                    // Output all user errors; assert all other error types.
                    System.Web.UI.WebControls.ListItem myListItem = new System.Web.UI.WebControls.ListItem();
                    myListItem.Text = myException.Message;
                    listboxFindResults.Items.Add(myListItem);
                }
                else
                {
                    // Your exception handling goes here.
                }
            }
        }
        void doLongLatSearch()
        {
            string[] split;
            //split = txtLat.Text.ToString().Split(new Char[] { ',' });
            split = TxtAddress.Text.ToString().Split(new Char[] { ',' });
            double result; //double Lat;

            if (split.Length == 0 || split.Length > 2 || split.Length < 2)
            {
                lblMessage.Text = "Please enter Longitude, Latitude value then click search button. ex: -118.25, 34.09";
                lblMessage.Visible = true;
                return;
            }

            double.TryParse(split[0], out result);
            if (result == 0)
            {
                lblMessage.Text = "Please enter numeric only for Longitude and Latitude ex: -118.25, 34.09";
                lblMessage.Visible = true;
                return;
            }
            double.TryParse(split[1], out result);
            if (result == 0)
            {
                lblMessage.Text = "Please enter numeric only for Longitude and Latitude ex: -118.25, 34.09";
                lblMessage.Visible = true;
                return;
            }
            lblMessage.Visible = false;

            InMemoryFeatureLayer InMemoryLayerGeoCode = (InMemoryFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["InMemoryLayerGeoCode"];
            LayerOverlay layerOverLay = (LayerOverlay)Map1.CustomOverlays[0];

            Feature pointFeature = new Feature(new PointShape(double.Parse(split[0], CultureInfo.InvariantCulture), double.Parse(split[1], CultureInfo.InvariantCulture)));

            InMemoryLayerGeoCode.InternalFeatures.Clear();
            InMemoryLayerGeoCode.InternalFeatures.Add(pointFeature.Id, pointFeature);

            //PointShape p = new PointShape(double.Parse(split[0], CultureInfo.InvariantCulture), double.Parse(split[1], CultureInfo.InvariantCulture));

            //ZoomLevelSet zoomLevelSet = new ZoomLevelSet();
            //Map1.ZoomToScale(10000000);  

            //Map1.ZoomTo(p, 1);
            //Map1.DynamicOverlay.Redraw();
            //Map1.CurrentExtent = ExtentHelper.GetDrawingExtent(p.GetBoundingBox(), (float)Map1.WidthInPixels, (float)Map1.HeightInPixels);

            Proj4Projection proj4Projection = new Proj4Projection();

            proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326); //Geodetic (Decimal Degrees, Long-Lat)

            proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString(); //Google-VE proj.

            proj4Projection.Open();

            Vertex myVertex = proj4Projection.ConvertToExternalProjection(Convert.ToDouble(split[0].ToString()), Convert.ToDouble(split[1].ToString()));

            proj4Projection.Close();

            EllipseShape myEll = new EllipseShape(new PointShape(myVertex), 1000);

            Map1.CurrentExtent = myEll.GetBoundingBox();

            layerOverLay.Redraw();
        }
        void doLocationSearch()
        {

        }
        void doPointInterestSearch()
        {

        }

        protected void ddlSearchType_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (ddlSearchType.SelectedValue == "Address")
            {
                TxtAddress.ToolTip = "Search by address" + Environment.NewLine + "Enter address here in postal format. ex: 2400 Glenville Dr";
                TxtAddress.Focus();
            }
            else if (ddlSearchType.SelectedValue == "Longitude,Latitude")
            {
                TxtAddress.ToolTip = "Search by Longitude,Latitude" + Environment.NewLine + "Enter Longitude, Latitude value then click search button. ex: -118.25, 34.09";
                TxtAddress.Focus();
            }
            else if (ddlSearchType.SelectedValue == "Location")
            {
                TxtAddress.ToolTip = "Search by Location" + Environment.NewLine + "Enter location here. ex: location";
                TxtAddress.Focus();
            }
            else if (ddlSearchType.SelectedValue == "Point of Interest")
            {
                TxtAddress.ToolTip = "Search by Point of Interest" + Environment.NewLine + "Enter Point of Interest here. ex: Point of Interest";
                TxtAddress.Focus();
            }
        }

        protected void btnRefresh_Click(object sender, EventArgs e)
        {
            try
            {
                LayerOverlay layerOverLay = (LayerOverlay)Map1.CustomOverlays["OSPFM Layers"];
                iCurrentScale = Convert.ToInt32(txtScaleLevel.Value);

                #region FiberSecurity
                if (iCurrentScale >= LayersScale.FS_LD_scaleupper && iCurrentScale <= LayersScale.FS_LD_scalelower) //Lower is high value
                {
                    if (LayersScale.FS_LD_lyr_status == 1)
                    {
                        //LayersScale.FS_LD_Visible = cblLDFiber1.Checked;
                        LayersScale.FS_LD_Visible = cblLDFiber1.Checked;
                        //LayersScale.FS_LD_lbl_Visible = cblLDFiber2.Checked; //No lable for long distance cable
                        sl.lyr_line_FS_LD = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_LD"];
                        sl.lyr_line_FS_LD.IsVisible = LayersScale.FS_LD_Visible == true ? true : false;
                    }
                }

                if (iCurrentScale >= LayersScale.FS_GNS_scaleupper && iCurrentScale <= LayersScale.FS_GNS_scalelower) //Lower is high value
                {
                    if (LayersScale.FS_GNS_lyr_status == 1)
                    {
                        LayersScale.FS_GNS_Visible = cblGNSFiber1.Checked;
                        //LayersScale.FS_GNS_Visible = cblGNSFiber2.Checked; //No lable for long distance cable
                        sl.lyr_line_FS_GNS = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_GNS"];
                        sl.lyr_line_FS_GNS.IsVisible = LayersScale.FS_GNS_Visible == true ? true : false;
                    }
                }

                if (iCurrentScale >= LayersScale.FS_Local_scaleupper && iCurrentScale <= LayersScale.FS_Local_scalelower) //Lower is high value
                {
                    if (LayersScale.FS_Local_lyr_status == 1)
                    {
                        LayersScale.FS_Local_Visible = cblLocal1.Checked;
                        //LayersScale.FS_Local_Visible = cblLocal2.Checked; //No lable for long distance cable
                        sl.lyr_line_FS_Local = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_FS_Local"];
                        sl.lyr_line_FS_Local.IsVisible = LayersScale.FS_Local_Visible == true ? true : false;
                    }
                }
                #endregion

                #region Transmedia
                //Burried Cable
                if (iCurrentScale >= LayersScale.Buried_Cable_scaleupper && iCurrentScale <= LayersScale.Buried_Cable_scalelower) //Lower is high value
                {
                    LayersScale.Buried_Cable_Visible = cblBurried1.Checked;
                    LayersScale.Buried_Cable_lbl_Visible = cblBurried1.Checked == false ? false : cblBurried2.Checked;
                    cblBurried2.Checked = cblBurried1.Checked == false ? false : cblBurried2.Checked;
                    cblBurried2.Enabled = cblBurried1.Checked == false ? false : true;

                    if (LayersScale.Buried_Cable_status == 1)
                    {
                        sl.lyr_line_Buried_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Buried_Cable"];
                        sl.lyr_line_Buried_Cable.IsVisible = LayersScale.Buried_Cable_Visible == true ? true : false;

                        if (LayersScale.Buried_Cable_lbl_status == 1)
                        {
                            sl.lyr_line_Buried_Cable_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Buried_Cable"];
                            sl.lyr_line_Buried_Cable_lbl.IsVisible = LayersScale.Buried_Cable_lbl_Visible == true ? true : false;
                        }

                    }
                }

                //Aerial Cable
                if (iCurrentScale >= LayersScale.Aerial_Cable_scaleupper && iCurrentScale <= LayersScale.Aerial_Cable_scalelower) //Lower is high value
                {
                    LayersScale.Aerial_Cable_Visible = cblAerial1.Checked;
                    LayersScale.Aerial_Cable_lbl_Visible = cblAerial1.Checked == false ? false : cblAerial2.Checked;
                    cblAerial2.Checked = cblAerial1.Checked == false ? false : cblAerial2.Checked;
                    cblAerial2.Enabled = cblAerial1.Checked == false ? false : true;

                    if (LayersScale.Aerial_Cable_status == 1)
                    {
                        sl.lyr_line_Aerial_Fiber = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Fiber"];
                        sl.lyr_line_Aerial_Fiber.IsVisible = LayersScale.Aerial_Cable_Visible == true ? true : false;

                        if (LayersScale.Aerial_Cable_lbl_status == 1)
                        {
                            sl.lyr_line_Aerial_Fiber_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Aerial_Fiber"];
                            sl.lyr_line_Aerial_Fiber_lbl.IsVisible = LayersScale.Aerial_Cable_lbl_Visible == true ? true : false;
                        }
                    }
                }

                ////Copper Cable
                if (iCurrentScale >= LayersScale.Copper_Cable_scaleupper && iCurrentScale <= LayersScale.Copper_Cable_scalelower) //Lower is high value
                {
                    if (LayersScale.Copper_Cable_status == 1)
                    {
                        LayersScale.Copper_Cable_Visible = cblCopper1.Checked;
                        LayersScale.Copper_Cable_lbl_Visible = cblCopper1.Checked == false ? false : cblCopper2.Checked;
                        cblCopper2.Checked = cblCopper1.Checked == false ? false : cblCopper2.Checked;
                        cblCopper2.Enabled = cblCopper1.Checked == false ? false : true;

                        sl.lyr_line_Copper_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Copper_Cable"];
                        sl.lyr_line_Copper_Cable.IsVisible = LayersScale.Copper_Cable_Visible == true ? true : false;

                        if (LayersScale.Copper_Cable_lbl_status == 1)
                        {
                            sl.lyr_line_Copper_Cable_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Copper_Cable"];
                            sl.lyr_line_Copper_Cable_lbl.IsVisible = LayersScale.Copper_Cable_lbl_Visible == true ? true : false;
                        }
                    }
                }

                //Leased Cable
                if (iCurrentScale >= LayersScale.Leased_Cable_scaleupper && iCurrentScale <= LayersScale.Leased_Cable_scalelower) //Lower is high value
                {
                    LayersScale.Leased_Cable_Visible = cblLeased1.Checked;
                    LayersScale.Leased_Cable_lbl_Visible = cblLeased1.Checked == false ? false : cblLeased2.Checked;
                    cblLeased2.Checked = cblLeased1.Checked == false ? false : cblLeased2.Checked;
                    cblLeased2.Enabled = cblLeased1.Checked == false ? false : true;


                    if (LayersScale.Leased_Cable_status == 1)
                    {
                        sl.lyr_line_Leased_Cable = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Leased_Cable"];
                        sl.lyr_line_Leased_Cable.IsVisible = LayersScale.Leased_Cable_Visible == true ? true : false;

                        if (LayersScale.Leased_Cable_lbl_status == 1)
                        {
                            sl.lyr_line_Leased_Cable_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Leased_Cable"];
                            sl.lyr_line_Leased_Cable_lbl.IsVisible = LayersScale.Leased_Cable_lbl_Visible == true ? true : false;
                        }
                    }
                }
                #endregion

                #region Attachment
                //Aerial Slack
                if (iCurrentScale >= LayersScale.Aerial_Slack_scaleupper && iCurrentScale <= LayersScale.Aerial_Slack_scalelower) //Lower is high value
                {
                    LayersScale.Aerial_Slack_Visible = cblAerialSlack1.Checked;
                    LayersScale.Aerial_Slack_lbl_Visible = cblAerialSlack1.Checked == false ? false : cblAerialSlack2.Checked;
                    cblAerialSlack2.Checked = cblAerialSlack1.Checked == false ? false : cblAerialSlack2.Checked;
                    cblAerialSlack2.Enabled = cblAerialSlack1.Checked == false ? false : true;


                    if (LayersScale.Aerial_Slack_status == 1)
                    {

                        sl.lyr_point_Aerial_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Aerial_Slack"];
                        sl.lyr_point_Aerial_Slack.IsVisible = LayersScale.Aerial_Slack_Visible == true ? true : false;

                        if (LayersScale.Aerial_Slack_lbl_status == 1)
                        {
                            sl.lyr_point_Aerial_Slack_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Aerial_Slack"];
                            sl.lyr_point_Aerial_Slack_lbl.IsVisible = LayersScale.Aerial_Slack_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Aerial_Slack_lbl_status = 0 or 2, set disbale forever
                        {
                            cblAerialSlack2.Enabled = false;
                        }
                    }
                }

                //Underground Slack
                if (iCurrentScale >= LayersScale.Underground_Slack_scaleupper && iCurrentScale <= LayersScale.Underground_Slack_scalelower) //Lower is high value
                {
                    LayersScale.Underground_Slack_Visible = cblUndergroundSlack1.Checked;
                    LayersScale.Underground_Slack_lbl_Visible = cblUndergroundSlack1.Checked == false ? false : cblUndergroundSlack2.Checked;
                    cblUndergroundSlack2.Checked = cblUndergroundSlack1.Checked == false ? false : cblUndergroundSlack2.Checked;
                    cblUndergroundSlack2.Enabled = cblUndergroundSlack1.Checked == false ? false : true;

                    if (LayersScale.Underground_Slack_status == 1)
                    {
                        sl.lyr_point_Underground_Slack = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Underground_Slack"];
                        sl.lyr_point_Underground_Slack.IsVisible = LayersScale.Underground_Slack_Visible == true ? true : false;

                        if (LayersScale.Underground_Slack_lbl_status == 1)
                        {
                            sl.lyr_point_Underground_Slack_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Underground_Slack"];
                            sl.lyr_point_Underground_Slack_lbl.IsVisible = LayersScale.Underground_Slack_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Underground_Slack_lbl_status = 0 or 2, set disbale forever
                        {
                            cblUndergroundSlack2.Enabled = false;
                        }
                    }
                }
                #endregion

                #region Structures
                //Site
                if (iCurrentScale >= LayersScale.Site_scaleupper && iCurrentScale <= LayersScale.Site_scalelower) //Lower is high value
                {
                    LayersScale.Site_Visible = cblSite1.Checked;
                    LayersScale.Site_lbl_Visible = cblSite1.Checked == false ? false : cblSite2.Checked;
                    cblSite2.Checked = cblSite1.Checked == false ? false : cblSite2.Checked;
                    cblSite2.Enabled = cblSite1.Checked == false ? false : true;

                    if (LayersScale.Site_status == 1)
                    {
                        sl.lyr_line_Site = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Site"];
                        sl.lyr_line_Site.IsVisible = LayersScale.Site_Visible == true ? true : false;

                        if (LayersScale.Site_lbl_status == 1)
                        {
                            sl.lyr_line_Site_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Site"];
                            sl.lyr_line_Site_lbl.IsVisible = LayersScale.Site_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Site_lbl_status = 0 or 2, set disbale forever
                        {
                            cblSite2.Enabled = false;
                        }
                    }
                }

                //Building
                if (iCurrentScale >= LayersScale.Building_scaleupper && iCurrentScale <= LayersScale.Building_scalelower) //Lower is high value
                {
                    LayersScale.Building_Visible = cblBuilding1.Checked;
                    LayersScale.Building_lbl_Visible = cblBuilding1.Checked == false ? false : cblBuilding2.Checked;
                    cblBuilding2.Checked = cblBuilding1.Checked == false ? false : cblBuilding2.Checked;
                    cblBuilding2.Enabled = cblBuilding1.Checked == false ? false : true;

                    if (LayersScale.Building_status == 1)
                    {
                        sl.lyr_point_Building = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Building"];
                        sl.lyr_point_Building.IsVisible = LayersScale.Building_Visible == true ? true : false;

                        if (LayersScale.Building_lbl_status == 1)
                        {
                            sl.lyr_point_Building_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Building"];
                            sl.lyr_point_Building_lbl.IsVisible = LayersScale.Building_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Building_lbl_status = 0 or 2, set disbale forever
                        {
                            cblBuilding2.Enabled = false;
                        }
                    }
                }

                //Pole
                if (iCurrentScale >= LayersScale.Pole_scaleupper && iCurrentScale <= LayersScale.Pole_scalelower) //Lower is high value
                {
                    LayersScale.Pole_Visible = cblPole1.Checked;
                    LayersScale.Pole_lbl_Visible = cblPole1.Checked == false ? false : cblPole2.Checked;
                    cblPole2.Checked = cblPole1.Checked == false ? false : cblPole2.Checked;
                    cblPole2.Enabled = cblPole1.Checked == false ? false : true;


                    if (LayersScale.Pole_status == 1)
                    {
                        sl.lyr_point_Pole = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Pole"];
                        sl.lyr_point_Pole.IsVisible = LayersScale.Pole_Visible == true ? true : false;

                        if (LayersScale.Pole_lbl_status == 1)
                        {
                            sl.lyr_point_Pole_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Pole"];
                            sl.lyr_point_Pole_lbl.IsVisible = LayersScale.Pole_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Pole_lbl_status = 0 or 2, set disbale forever
                        {
                            cblPole2.Enabled = false;
                        }
                    }
                }

                //Tower
                if (iCurrentScale >= LayersScale.Tower_scaleupper && iCurrentScale <= LayersScale.Tower_scalelower) //Lower is high value
                {
                    LayersScale.Tower_Visible = cblTower1.Checked;
                    LayersScale.Tower_lbl_Visible = cblTower1.Checked == false ? false : cblTower2.Checked;
                    cblTower2.Checked = cblTower1.Checked == false ? false : cblTower2.Checked;
                    cblTower2.Enabled = cblTower1.Checked == false ? false : true;


                    if (LayersScale.Tower_status == 1)
                    {
                        sl.lyr_point_Tower = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Tower"];
                        sl.lyr_point_Tower.IsVisible = LayersScale.Tower_Visible == true ? true : false;

                        if (LayersScale.Tower_lbl_status == 1)
                        {
                            sl.lyr_point_Tower_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Tower"];
                            sl.lyr_point_Tower_lbl.IsVisible = LayersScale.Tower_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Tower_lbl_status = 0 or 2, set disbale forever
                        {
                            cblTower2.Enabled = false;
                        }
                    }
                }
                #endregion

                #region AccessPopints
                //AccessPopints
                if (iCurrentScale >= LayersScale.Access_Points_scaleupper && iCurrentScale <= LayersScale.Access_Points_scalelower) //Lower is high value
                {
                    LayersScale.Access_Points_Visible = cblAccessPoints1.Checked;
                    LayersScale.Access_Points_lbl_Visible = cblAccessPoints1.Checked == false ? false : cblAccessPoints2.Checked;
                    cblAccessPoints2.Checked = cblAccessPoints1.Checked == false ? false : cblAccessPoints2.Checked;
                    cblAccessPoints2.Enabled = cblAccessPoints1.Checked == false ? false : true;


                    if (LayersScale.Access_Points_status == 1)
                    {
                        sl.lyr_point_Access_Point = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Access_Point"];
                        sl.lyr_point_Access_Point.IsVisible = LayersScale.Access_Points_Visible == true ? true : false;
                        if (LayersScale.Access_Points_lbl_status == 1)
                        {

                            sl.lyr_point_Access_Point_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Access_Point"];
                            sl.lyr_point_Access_Point_lbl.IsVisible = LayersScale.Access_Points_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Access_Points_lbl_status = 0 or 2, set disbale forever
                        {
                            cblAccessPoints2.Enabled = false;
                        }
                    }
                }
                #endregion

                #region Span
                //Span
                if (iCurrentScale >= LayersScale.Span_scaleupper && iCurrentScale <= LayersScale.Span_scalelower) //Lower is high value
                {
                    LayersScale.Span_Visible = cblSpan1.Checked;
                    LayersScale.Span_lbl_Visible = cblSpan1.Checked == false ? false : cblSpan2.Checked;
                    cblSpan2.Checked = cblSpan1.Checked == false ? false : cblSpan2.Checked;
                    cblSpan2.Enabled = cblSpan1.Checked == false ? false : true;

                    if (LayersScale.Span_status == 1)
                    {
                        sl.lyr_line_Span = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Span"];
                        sl.lyr_line_Span.IsVisible = LayersScale.Span_Visible == true ? true : false;

                        if (LayersScale.Span_lbl_status == 1)
                        {
                            sl.lyr_line_Site_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Span"];
                            sl.lyr_line_Site_lbl.IsVisible = LayersScale.Span_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Span_lbl_status = 0 or 2, set disbale forever
                        {
                            cblSpan2.Enabled = false;
                        }
                    }
                }
                #endregion

                #region Equipment
                //Termination_Panel
                if (iCurrentScale >= LayersScale.Termination_Panel_scaleupper && iCurrentScale <= LayersScale.Termination_Panel_scalelower) //Lower is high value
                {
                    LayersScale.Termination_Panel_Visible = cblTerminationPanel1.Checked;
                    LayersScale.Termination_Panel_lbl_Visible = cblTerminationPanel1.Checked == false ? false : cblTerminationPanel2.Checked;
                    cblTerminationPanel2.Checked = cblTerminationPanel1.Checked == false ? false : cblTerminationPanel2.Checked;
                    cblTerminationPanel2.Enabled = cblTerminationPanel1.Checked == false ? false : true;


                    if (LayersScale.Termination_Panel_status == 1)
                    {
                        sl.lyr_point_Termination_Panel = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Termination_Panel"];
                        sl.lyr_point_Termination_Panel.IsVisible = LayersScale.Termination_Panel_Visible == true ? true : false;

                        if (LayersScale.Termination_Panel_lbl_status == 1)
                        {
                            sl.lyr_point_Termination_Panel_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Termination_Panel"];
                            sl.lyr_point_Termination_Panel_lbl.IsVisible = LayersScale.Termination_Panel_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Termination_Panel_lbl_status = 0 or 2, set disbale forever
                        {
                            cblTerminationPanel2.Enabled = false;
                        }
                    }
                }
                #endregion

                #region Splice Closure
                //Splice Closure
                if (iCurrentScale >= LayersScale.Splice_Closure_Panel_scaleupper && iCurrentScale <= LayersScale.Splice_Closure_Panel_scalelower) //Lower is high value
                {
                    LayersScale.Splice_Closure_Panel_Visible = cblSpliceClosure1.Checked;
                    LayersScale.Splice_Closure_Panel_lbl_Visible = cblSpliceClosure1.Checked == false ? false : cblSpliceClosure2.Checked;
                    cblSpliceClosure2.Checked = cblSpliceClosure1.Checked == false ? false : cblSpliceClosure2.Checked;
                    cblSpliceClosure2.Enabled = cblSpliceClosure1.Checked == false ? false : true;


                    if (LayersScale.Splice_Closure_Panel_status == 1)
                    {
                        sl.lyr_point_Splice_Closure = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lyr_Splice_Closure"];
                        sl.lyr_point_Splice_Closure.IsVisible = LayersScale.Splice_Closure_Panel_Visible == true ? true : false;

                        if (LayersScale.Splice_Closure_Panel_lbl_status == 1)
                        {

                            sl.lyr_point_Splice_Closure_lbl = (ShapeFileFeatureLayer)((LayerOverlay)Map1.CustomOverlays[0]).Layers["Lbl_Splice_Closure"];
                            sl.lyr_point_Splice_Closure_lbl.IsVisible = LayersScale.Splice_Closure_Panel_lbl_Visible == true ? true : false;
                        }
                        else // if LayersScale.Termination_Panel_lbl_status = 0 or 2, set disbale forever
                        {
                            cblSpliceClosure2.Enabled = false;
                        }
                    }
                }
                #endregion

                layerOverLay.Redraw();

                if (TreeView1.Nodes.Count > 0)
                {
                    LoadData(); //To load anchor data in treeview node (It looeses value on post back)
                }
            }
            catch (Exception ex)
            {
                Response.Write(ex.Message);
            }

        }

        void LoadLegendData()
        { 
            #region FiberSecurity
                #region FS_LD  
                cblLDFiber1.Checked = LayersScale.FS_LD_Visible;
                if (LayersScale.FS_LD_lyr_status == 0 || LayersScale.FS_LD_lyr_status == 2)
                {
                    cblLDFiber1.Enabled = false;
                    cblLDFiber1.Checked = false;
                    cblLDFiber1.Visible = false;
                    lblLD.Visible = false;
                    imgLD.Visible = false;
                }
                cblLDFiber2.Checked = LayersScale.FS_LD_lbl_Visible;
                if (LayersScale.FS_LD_lbl_lyr_status == 0 || LayersScale.FS_LD_lbl_lyr_status == 2)
                {
                    cblLDFiber2.Enabled = false;
                    cblLDFiber2.Checked = false;
                    cblLDFiber2.Visible = false;
                    
                }
                #endregion

                #region FS_GNS
                cblGNSFiber1.Checked = LayersScale.FS_GNS_Visible;
                if (LayersScale.FS_GNS_lyr_status == 0 || LayersScale.FS_GNS_lyr_status == 2)
                {
                    cblGNSFiber1.Enabled = false;
                    cblGNSFiber1.Checked = false;
                    cblGNSFiber1.Visible = false;
                    lblGNS.Visible = false;
                    imgGNS.Visible = false;
                }
                cblGNSFiber2.Checked = LayersScale.FS_GNS_lbl_Visible;
                if (LayersScale.FS_GNS_lbl_lyr_status == 0 || LayersScale.FS_GNS_lbl_lyr_status == 2)
                {
                    cblGNSFiber2.Enabled = false;
                    cblGNSFiber2.Checked = false;
                    cblGNSFiber2.Visible = false;
                }
                #endregion

                #region Local
                cblLocal1.Checked = LayersScale.FS_Local_Visible;
                if (LayersScale.FS_Local_lyr_status == 0 || LayersScale.FS_Local_lyr_status == 2)
                {
                    cblLocal1.Enabled = false;
                    cblLocal1.Checked = false;
                    cblLocal1.Visible = false;
                    lblLocal.Visible = false;
                    imgLocal.Visible = false;
                }
                cblLocal2.Checked = LayersScale.FS_Local_lbl_Visible;
                if (LayersScale.FS_Local_lbl_lyr_status == 0 || LayersScale.FS_Local_lbl_lyr_status == 2)
                {
                    cblLocal2.Enabled = false;
                    cblLocal2.Checked = false;
                    cblLocal2.Visible = false;
                }
                #endregion
            #endregion

            #region Transmedia
                #region Burried
                cblBurried1.Checked = LayersScale.Buried_Cable_Visible;
                if (LayersScale.Buried_Cable_status == 0 || LayersScale.Buried_Cable_status == 2)
                {
                    cblBurried1.Enabled = false;
                    cblBurried1.Checked = false;
                    cblBurried1.Visible = false;
                    lblBurried.Visible = false;
                    imgBurried.Visible = false;
                }
                cblBurried2.Checked = LayersScale.Buried_Cable_lbl_Visible;
                if (LayersScale.Buried_Cable_lbl_status == 0 || LayersScale.Buried_Cable_lbl_status == 2)
                {
                    cblBurried2.Enabled = false;
                    cblBurried2.Checked = false;
                    cblBurried2.Visible = false;
                }
                #endregion

                #region Aerial
                cblAerial1.Checked = LayersScale.Aerial_Cable_Visible;
                if (LayersScale.Aerial_Cable_status == 0 || LayersScale.Aerial_Cable_status == 2)
                {
                    cblAerial1.Enabled = false;
                    cblAerial1.Checked = false;
                    cblAerial1.Visible = false;
                    lblAerial.Visible = false;
                    imgAerial.Visible = false;
                }
                cblAerial2.Checked = LayersScale.Aerial_Cable_lbl_Visible;
                if (LayersScale.Aerial_Cable_lbl_status == 0 || LayersScale.Aerial_Cable_lbl_status == 2)
                {
                    cblAerial2.Enabled = false;
                    cblAerial2.Checked = false;
                    cblAerial2.Visible = false;
                }
                #endregion

                #region Copper
                cblCopper1.Checked = LayersScale.Copper_Cable_Visible;
                if (LayersScale.Copper_Cable_status == 0 || LayersScale.Copper_Cable_status == 2)
                {
                    cblCopper1.Enabled = false;
                    cblCopper1.Checked = false;
                    cblCopper1.Visible = false;
                    //lblCopper.Visible = false;
                    //imgCopper.Visible = false;
                }
                cblCopper2.Checked = LayersScale.Copper_Cable_lbl_Visible;
                if (LayersScale.Copper_Cable_lbl_status == 0 || LayersScale.Copper_Cable_lbl_status == 2)
                {
                    cblCopper2.Enabled = false;
                    cblCopper2.Checked = false;
                    cblCopper2.Visible = false;
                }
                #endregion

                #region Leased
                cblLeased1.Checked = LayersScale.Leased_Cable_Visible;
                if (LayersScale.Leased_Cable_status == 0 || LayersScale.Leased_Cable_status == 2)
                {
                    cblLeased1.Enabled = false;
                    cblLeased1.Checked = false;
                    cblLeased1.Visible = false;
                    lblLeased.Visible = false;
                    imgLeased.Visible = false;
                }
                cblLeased2.Checked = LayersScale.Leased_Cable_lbl_Visible;
                if (LayersScale.Leased_Cable_lbl_status == 0 || LayersScale.Leased_Cable_lbl_status == 2)
                {
                    cblLeased2.Enabled = false;
                    cblLeased2.Checked = false;
                    cblLeased2.Visible = false;
                }
                #endregion
            #endregion

            #region Attachment
                #region Aerial Slack
                cblAerialSlack1.Checked = LayersScale.Aerial_Slack_Visible;
                if (LayersScale.Aerial_Slack_status == 0 || LayersScale.Aerial_Slack_status == 2)
                {
                    cblAerialSlack1.Enabled = false;
                    cblAerialSlack1.Checked = false;
                    cblAerialSlack1.Visible = false;
                    lblAerialSlack.Visible = false;
                    imgAerialSlack.Visible = false;
                }
                cblAerialSlack2.Checked = LayersScale.Aerial_Slack_lbl_Visible;
                if (LayersScale.Aerial_Slack_lbl_status == 0 || LayersScale.Aerial_Slack_lbl_status == 2)
                {
                    cblAerialSlack2.Enabled = false;
                    cblAerialSlack2.Checked = false;
                    cblAerialSlack2.Visible = false;
                }
                #endregion

                #region Underground Slack
                cblUndergroundSlack1.Checked = LayersScale.Underground_Slack_Visible;
                if (LayersScale.Underground_Slack_status == 0 || LayersScale.Underground_Slack_status == 2)
                {
                    cblUndergroundSlack1.Enabled = false;
                    cblUndergroundSlack1.Checked = false;
                    cblUndergroundSlack1.Visible = false;
                    lblUndergroundSlack.Visible = false;
                    imgUnderground.Visible = false;
                }
                cblUndergroundSlack2.Checked = LayersScale.Underground_Slack_lbl_Visible;
                if (LayersScale.Underground_Slack_lbl_status == 0 || LayersScale.Underground_Slack_lbl_status == 2)
                {
                    cblUndergroundSlack2.Enabled = false;
                    cblUndergroundSlack2.Checked = false;
                    cblUndergroundSlack2.Visible = false;
                }
                #endregion
            #endregion

            #region Structures
                #region site
                cblSite1.Checked = LayersScale.Site_Visible;
                if (LayersScale.Site_status == 0 || LayersScale.Site_status == 2)
                {
                    cblSite1.Enabled = false;
                    cblSite1.Checked = false;
                    cblSite1.Visible = false;
                    lblSite.Visible = false;
                    imgSite.Visible = false;
                }
                cblSite2.Checked = LayersScale.Site_lbl_Visible;
                if (LayersScale.Site_lbl_status == 0 || LayersScale.Site_lbl_status == 2)
                {
                    cblSite2.Enabled = false;
                    cblSite2.Checked = false;
                    cblSite2.Visible = false;
                }
                #endregion

                #region Building
                cblBuilding1.Checked = LayersScale.Building_Visible;
                if (LayersScale.Building_status == 0 || LayersScale.Building_status == 2)
                {
                    cblBuilding1.Enabled = false;
                    cblBuilding1.Checked = false;
                    cblBuilding1.Visible = false;
                    lblBuilding.Visible = false;
                    imgBuilding.Visible = false;
                }
                cblBuilding2.Checked = LayersScale.Building_lbl_Visible;
                if (LayersScale.Building_lbl_status == 0 || LayersScale.Building_lbl_status == 2)
                {
                    cblBuilding2.Enabled = false;
                    cblBuilding2.Checked = false;
                    cblBuilding2.Visible = false;
                }
                #endregion

                #region Pole
                cblPole1.Checked = LayersScale.Pole_Visible;
                if (LayersScale.Pole_status == 0 || LayersScale.Pole_status == 2)
                {
                    cblPole1.Enabled = false;
                    cblPole1.Checked = false;
                    cblPole1.Visible = false;
                    lblPole.Visible = false;
                    imgPole.Visible = false;
                }
                cblPole2.Checked = LayersScale.Pole_lbl_Visible;
                if (LayersScale.Pole_lbl_status == 0 || LayersScale.Pole_lbl_status == 2)
                {
                    cblPole2.Enabled = false;
                    cblPole2.Checked = false;
                    cblPole2.Visible = false;
                }
                #endregion

                #region Tower
                cblTower1.Checked = LayersScale.Tower_Visible;
                if (LayersScale.Tower_status == 0 || LayersScale.Tower_status == 2)
                {
                    cblTower1.Enabled = false;
                    cblTower1.Checked = false;
                    cblTower1.Visible = false;
                    lblTower.Visible = false;
                    imgTower.Visible = false;
                }
                cblTower2.Checked = LayersScale.Tower_lbl_Visible;
                if (LayersScale.Tower_lbl_status == 0 || LayersScale.Tower_lbl_status == 2)
                {
                    cblTower2.Enabled = false;
                    cblTower2.Checked = false;
                    cblTower2.Visible = false;
                }
                #endregion
            #endregion

            #region AccessPopints
            cblAccessPoints1.Checked = LayersScale.Access_Points_Visible;
            if (LayersScale.Access_Points_status == 0 || LayersScale.Access_Points_status == 2)
            {
                cblAccessPoints1.Enabled = false;
                cblAccessPoints1.Checked = false;
                cblAccessPoints1.Visible = false;
                lblAP.Visible = false;
                imgAccessPoints.Visible = false;
            }
            cblAccessPoints2.Checked = LayersScale.Access_Points_lbl_Visible;
            if (LayersScale.Access_Points_lbl_status == 0 || LayersScale.Access_Points_lbl_status == 2)
            {
                cblAccessPoints2.Enabled = false;
                cblAccessPoints2.Checked = false;
                cblAccessPoints2.Visible = false;
            }
            #endregion

            #region Span
            cblSpan1.Checked = LayersScale.Span_Visible;
            if (LayersScale.Span_status == 0 || LayersScale.Span_status == 2)
            {
                cblSpan1.Enabled = false;
                cblSpan1.Checked = false;
                cblSpan1.Visible = false;
                lblSpan.Visible = false;
                imgSpan.Visible = false;
            }
            cblSpan2.Checked = LayersScale.Span_lbl_Visible;
            if (LayersScale.Span_lbl_status == 0 || LayersScale.Span_lbl_status == 2)
            {
                cblSpan2.Enabled = false;
                cblSpan2.Checked = false;
                cblSpan2.Visible = false;
            }
            #endregion

            #region Equipment
            cblTerminationPanel1.Checked = LayersScale.Termination_Panel_Visible;
            if (LayersScale.Termination_Panel_status == 0 || LayersScale.Termination_Panel_status == 2)
            {
                cblTerminationPanel1.Enabled = false;
                cblTerminationPanel1.Checked = false;
                cblTerminationPanel1.Visible = false;
                lblTP.Visible = false;
                imgTerminationPanel.Visible = false;
            }
            cblTerminationPanel2.Checked = LayersScale.Termination_Panel_lbl_Visible;
            if (LayersScale.Termination_Panel_lbl_status == 0 || LayersScale.Termination_Panel_lbl_status == 2)
            {
                cblTerminationPanel2.Enabled = false;
                cblTerminationPanel2.Checked = false;
                cblTerminationPanel2.Visible = false;
            }
            #endregion

            #region Splice_Closure
            cblSpliceClosure1.Checked = LayersScale.Splice_Closure_Panel_Visible;
            if (LayersScale.Splice_Closure_Panel_status == 0 || LayersScale.Splice_Closure_Panel_status == 2)
            {
                cblSpliceClosure1.Enabled = false;
                cblSpliceClosure1.Checked = false;
                cblSpliceClosure1.Visible = false;
                lblSC.Visible = false;
                imgSpliceClosure.Visible = false;
            }
            cblSpliceClosure2.Checked = LayersScale.Splice_Closure_Panel_lbl_Visible;
            if (LayersScale.Splice_Closure_Panel_lbl_status == 0 || LayersScale.Splice_Closure_Panel_lbl_status == 2)
            {
                cblSpliceClosure2.Enabled = false;
                cblSpliceClosure2.Checked = false;
                cblSpliceClosure2.Visible = false;
            }
            #endregion
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            txtVEMapType.Value = "1";
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            txtVEMapType.Value = "2";
        }

        protected void Button3_Click(object sender, EventArgs e)
        {
            txtVEMapType.Value = "3";
        }

        protected void Button4_Click(object sender, EventArgs e)
        {
            txtVEMapType.Value = "4";
        }
    }
}




